# Generated by Makefile. Do not edit.

commit 5b2d71e5c7dddeafe81db8995a80f39569bbecda
Author: Jens Georg <mail@jensge.org>
Date:   Tue Aug 19 21:48:39 2014 +0200

    Prepare 0.23.3
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 NEWS | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit b8290f208ad81461b209a29453004a5adb8e7613
Author: Jens Georg <mail@jensge.org>
Date:   Tue Aug 19 22:21:17 2014 +0200

    test: Disable regression test
    
    Needs investigation.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/plugins/media-export/regression.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aa015f69bd13f772e0afe0744cda787daba48d7c
Author: Jens Georg <mail@jensge.org>
Date:   Tue Aug 19 21:57:48 2014 +0200

    renderer: Add gupnp-av as a dependency
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer/rygel-renderer-2.4.deps | 1 +
 1 file changed, 1 insertion(+)

commit 99c05f15c07061af25a9b6326df9da8ed29fb7b8
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jul 13 19:55:59 2014 +0200

    build: Fix distcheck
    
    This is probably wrong, it should not rebuild this in the first place
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-core/Makefile.am     | 2 +-
 src/librygel-renderer/Makefile.am | 2 +-
 src/librygel-server/Makefile.am   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6f12d67cdaa8ef6abe6f9db503076e89d36afed4
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jul 12 12:52:17 2014 +0200

    examples: Add python examples for introspection
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 examples/gi/example-renderer.py | 56 +++++++++++++++++++++++++++++++++++++++++
 examples/gi/example-server.py   | 22 ++++++++++++++++
 2 files changed, 78 insertions(+)

commit 227efa02262a2e7e58ad40cfe823dd19cc9c03c9
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jul 12 12:48:28 2014 +0200

    all: Add gobject-introspection support
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .gitignore                                |  2 ++
 configure.ac                              |  2 ++
 src/librygel-core/Makefile.am             | 20 ++++++++++++++++++--
 src/librygel-renderer/Makefile.am         | 26 ++++++++++++++++++++++++--
 src/librygel-server/Makefile.am           | 25 +++++++++++++++++++++++--
 src/librygel-server/rygel-serializer.vala |  2 +-
 6 files changed, 70 insertions(+), 7 deletions(-)

commit ac922555b81299f86ec405f6d54fb843002f8f58
Author: Richard Röjfors <richard.rojfors@gmail.com>
Date:   Sun Jun 22 19:36:19 2014 +0200

    renderer: Turn PlayerController into an interface
    
    There is a need to be able to reimplement the rygel-player-controller
    By changing the class to become an interface, other classes can
    implement it.
    The current implementation is moved to a default controller.
    This controller is instantiated by get_controller of the plugin as
    before, but now the get_controller function is defined virtual.
    Making it possible for plugins to reimplement and return another
    controller.
    
    Signed-off-by: Richard Röjfors <richard.rojfors@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732057

 src/librygel-renderer/filelist.am                  |   5 +-
 .../rygel-default-player-controller.vala           | 417 +++++++++++++++++++++
 .../rygel-media-renderer-plugin.vala               |   4 +-
 src/librygel-renderer/rygel-player-controller.vala | 378 ++-----------------
 4 files changed, 445 insertions(+), 359 deletions(-)

commit 6c1df2c702b7382734aeadd53e91ede70524e489
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Tue Aug 19 13:04:13 2014 +0200

    Updated Spanish translation

 po/es.po | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit a96b962f2153af11393b77534696bd27a1419430
Author: ngoswami <ngoswami@redhat.com>
Date:   Mon Aug 18 13:54:19 2014 +0000

    Updated Assamese translation

 po/as.po | 305 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 182 insertions(+), 123 deletions(-)

commit 8cce523f2bf722e90951391a2d120af6d205d347
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Aug 15 23:23:13 2014 +0200

    server: Fix build with new libmediaart
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 configure.ac                                   |  4 +--
 src/librygel-server/filelist.am                |  3 +--
 src/librygel-server/libmediaart-1.0.vapi       | 35 --------------------------
 src/librygel-server/rygel-media-art-store.vala | 23 ++++++++++++++---
 4 files changed, 22 insertions(+), 43 deletions(-)

commit 0dcf4bfc083ae2db5f7809c823fab9cdcccee783
Author: Jens Georg <mail@jensge.org>
Date:   Fri Aug 15 23:15:24 2014 +0200

    core: Fix compiling with newer vala
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-core/rygel-basic-management-test-nslookup.vala | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit fc2e63ea79a7facd807c63ed5aa4e9158f5ec7fc
Author: Jens Georg <mail@jensge.org>
Date:   Sun Aug 10 12:42:17 2014 +0200

    build: Update website
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b3abe4b288b8a552f1936f4c2aec2b87f1fceb2
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Aug 15 23:37:37 2014 +0300

    Updated Lithuanian translation

 po/lt.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit bf843c288e886e88f9354ceb588dc03f43575aac
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Aug 11 22:21:12 2014 +0000

    Updated Greek translation

 po/el.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit a78da572d6af848400821995527a0552f573872e
Author: Jens Georg <mail@jensge.org>
Date:   Sun Aug 10 12:22:35 2014 +0200

    server: Unify error handling in ImportResource
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-import-resource.vala | 50 ++++++++++++++------------
 1 file changed, 27 insertions(+), 23 deletions(-)

commit 6e90efef87b2246d63c682b0a3a9d761a75d7e10
Author: Jens Georg <mail@jensge.org>
Date:   Sun Aug 10 11:51:31 2014 +0200

    server: Fix crash when import is cancelled
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734302

 src/librygel-server/rygel-import-resource.vala | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 054ce4c0b4715b6a45e7baecaa8be8de4a48c41c
Author: MarMav <mavridou@gmail.com>
Date:   Wed Aug 6 16:52:52 2014 +0000

    Updated Greek translation

 po/el.po | 401 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 235 insertions(+), 166 deletions(-)

commit 9f77130cce114820089b5db66aa1106484da28c6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:52:45 2014 +0200

    doap: add <programming-language>

 rygel.doap | 1 +
 1 file changed, 1 insertion(+)

commit 5d8c3ef0c012ff5765fde9e25a50775830fc8413
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 21:00:24 2014 +0200

    doap category apps

 rygel.doap | 1 +
 1 file changed, 1 insertion(+)

commit 7a0ed25ee3d1bd5889e8c29577ffce4c6dfec0fe
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jul 25 23:47:22 2014 +0300

    Updated Lithuanian translation

 po/lt.po | 246 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 148 insertions(+), 98 deletions(-)

commit 06fce56aed8de97be94e884a1dba1d371715b8b1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 23 11:47:24 2014 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 240 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 142 insertions(+), 98 deletions(-)

commit aa41d38444ad0f0720ae40f55d56c0c71617d763
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jul 22 21:35:16 2014 +0200

    Prepare 0.23.2
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 NEWS | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 74af64b26e328ddd72df93148ba276f6d1ebfa66
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jul 22 21:26:12 2014 +0200

    doc: Fix make distcheck
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 doc/reference/doc-build.am | 1 +
 1 file changed, 1 insertion(+)

commit 126d00f22220cbe3d1b17c892f2fcb23705926ed
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Tue Jul 22 12:34:59 2014 +0200

    Updated Spanish translation

 po/es.po | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

commit 98414086c53c89d9d868c4f88419b9b841b16cb0
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Jul 18 19:36:40 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit 177ca130dd4f4e712f8e2f8e19c27c9ad83c88d6
Author: rygelgit <p.balasubramanian@cablelabs.com>
Date:   Tue Jul 8 21:55:22 2014 -0700

    Handle repitition parameter in NSLookup action correctly
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732935

 src/librygel-core/rygel-basic-management-test-nslookup.vala | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit d0bec52a5fa7b18f7877e773e0010c8a9e1cb5c8
Author: Jens Georg <mail@jensge.org>
Date:   Fri Jul 18 20:55:20 2014 +0200

    media-export: Translate some messages
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .../media-export/rygel-media-export-trackable-db-container.vala   | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c1cb9d5ddf9e0587e05b534162eef6c5975a88d4
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Jul 18 13:02:23 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 222 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 120 insertions(+), 102 deletions(-)

commit acd61fe9fc3cbf6febf9d31ac0fc609cefe16a68
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jul 13 19:14:13 2014 +0200

    tests: Fix tests
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/rygel-http-get-test.vala       | 2 ++
 tests/rygel-http-item-uri-test.vala  | 1 +
 tests/rygel-http-post-test.vala      | 1 +
 tests/rygel-object-creator-test.vala | 4 ++++
 4 files changed, 8 insertions(+)

commit 2179c5273e38f0ef858eadb76ee77839d7e2687c
Author: Jens Georg <mail@jensge.org>
Date:   Mon Jul 7 22:04:29 2014 +0200

    all: Hide MediaObject.uris
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 examples/standalone-server.c                             |  4 +---
 src/librygel-server/rygel-http-item-uri.vala             |  2 +-
 src/librygel-server/rygel-http-server.vala               |  2 +-
 src/librygel-server/rygel-import-resource.vala           |  8 ++++----
 src/librygel-server/rygel-media-container.vala           |  2 +-
 src/librygel-server/rygel-media-item.vala                | 12 ++++--------
 src/librygel-server/rygel-media-object.vala              | 16 +++++++++++++++-
 src/librygel-server/rygel-object-creator.vala            |  8 ++++----
 .../media-export/rygel-media-export-dummy-container.vala |  2 +-
 .../media-export/rygel-media-export-media-cache.vala     |  6 +++---
 .../rygel-media-export-playlist-container.vala           |  2 +-
 .../rygel-media-export-playlist-root-container.vala      |  2 +-
 .../rygel-media-export-writable-db-container.vala        |  6 +++---
 .../tracker/rygel-tracker-category-all-container.vala    |  2 +-
 src/plugins/tracker/rygel-tracker-insertion-query.vala   |  6 +++---
 15 files changed, 44 insertions(+), 36 deletions(-)

commit 5b9d195f5df1663fd6595250113e8b72e74d9f62
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 1 22:20:49 2014 +0200

    Updated Galician translations

 po/gl.po | 225 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 128 insertions(+), 97 deletions(-)

commit ade6819f1c7b986c46b3e247f8b53c6c3c032a9b
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Mon Jun 30 13:52:41 2014 +0200

    Updated Spanish translation

 po/es.po | 153 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 83 insertions(+), 70 deletions(-)

commit 3944fba60138939af3153a95463501ea30ad015a
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 20:43:22 2014 +0200

    renderer: Send byte position instead of int.MAX
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer/rygel-av-transport.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 950b0b1fda8c227a86c9a1985da02f94687ec836
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 14:32:02 2014 +0200

    server: Validate passed dates
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-item-updater.vala | 64 +++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

commit 40d7fd0ae5ea8d40b4cd815064ad808e5525af45
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 14:27:52 2014 +0200

    server: Improve tag csv splitting
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-item-updater.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 181e0c00ea7574487fac642c9e5983da42514448
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 13:54:59 2014 +0200

    server: Make sure tags don't contain white-spaces
    
    When getting tag lists during item update.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-item-updater.vala | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit 0debf74ca15b5bcfaa677ee9f6d2f3951c9720dd
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 12:40:16 2014 +0200

    renderer-gst: Only try to parse non-empty meta-data
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-player.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 6f85d4857c2d9f764316f74c51ae10e3303c80fe
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 12:02:06 2014 +0200

    renderer-gst: Stop() and Pause() never transition
    
    Cf. Figure 1, AVTransport:2 DCP
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-player.vala | 2 --
 1 file changed, 2 deletions(-)

commit 592dcbd8678a108f109486df849ec54c5ca0a083
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 11:53:43 2014 +0200

    renderer: Check instance id of prev/next
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer/rygel-av-transport.vala | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 42ddac4a1195d5308115c6837ea0099ea4cc2bda
Author: Jens Georg <mail@jensge.org>
Date:   Wed Nov 21 20:48:07 2012 +0100

    renderer: Support m3u playlists
    
    Some internet radios use that as stream redirector and it's the preferred
    playlist format of UPnP.

 src/librygel-renderer/rygel-av-transport.vala      | 62 +++++++++++++++++++---
 .../rygel-media-renderer-plugin.vala               |  5 ++
 2 files changed, 59 insertions(+), 8 deletions(-)

commit ff6e6ae50f8635f3831fbd25bbbaffd9d06f5697
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 28 11:11:25 2014 +0200

    renderer: Work-around failing HEAD requests once more
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer/rygel-av-transport.vala | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 1f9d852bb9c100c1afe633aab4872804ed56b77d
Author: Jens Georg <mail@jensge.org>
Date:   Wed Jun 25 23:03:23 2014 +0200

    Prepare 0.23.1.1
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 NEWS | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 2a0f9aab3f85f9d5f3afd29795e294241807fa55
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Tue Jun 24 17:17:11 2014 +0400

    Updated Russian translation

 po/ru.po | 190 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 104 insertions(+), 86 deletions(-)

commit 8e4a861ca82aad046965c7c39f21d631a8381ee0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 18 16:39:06 2014 +0200

    data: Launch rygel directly
    
    Instead of relying on an external D-Bus command.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731858

 data/rygel.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1c3f21488dd5ecd2834fb9846fa651221ab1a0e
Author: Jens Georg <mail@jensge.org>
Date:   Mon Jun 23 22:06:54 2014 +0200

    Prepare 0.23.1
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 NEWS | 167 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 167 insertions(+)

commit 6a977fb8b1ce7fec40de503028559fbe1ea8bf26
Author: Jens Georg <mail@jensge.org>
Date:   Mon Jun 23 22:24:44 2014 +0200

    server: Fix doc build
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/Makefile.am | 3 +--
 src/librygel-server/filelist.am | 3 ++-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 130ef8853777a970c96af0823b6262e0435250d0
Author: Jens Georg <mail@jensge.org>
Date:   Mon Jun 23 22:24:30 2014 +0200

    build: Properly set --enable-deprecated
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 autogen.sh   | 1 -
 configure.ac | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 54fb2afcbe15d55d89d4a489a5cf764afd3e300e
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 22 11:54:12 2014 +0200

    test: Remove deprecated functions
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/rygel-playbin-renderer-test.vala | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit eabd7cf5598bd356724ed1421f962169285f076b
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 22 11:21:16 2014 +0200

    server: Prevent potential null dereference
    
    Ported from patch in 720223
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-http-get-handler.vala | 1 +
 1 file changed, 1 insertion(+)

commit f08c044e6d2e472e877f337b1404fa3621d2cec6
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Oct 11 12:53:46 2013 +0200

    server: Move properties up the hierarchy
    
    Move artist, genre and album to MediaObject/AudioItem to make them available in
    containers and videos as well
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709723

 src/librygel-server/rygel-audio-item.vala   | 33 +++++++++++++++++++++++++++++
 src/librygel-server/rygel-media-item.vala   |  9 ++++++++
 src/librygel-server/rygel-media-object.vala | 17 +++++++++++++++
 src/librygel-server/rygel-music-item.vala   | 32 ----------------------------
 4 files changed, 59 insertions(+), 32 deletions(-)

commit c86ce4031c583bfb6180d89a870e15e283781380
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 21 22:45:19 2014 +0200

    server: Move date and creator to MediaObject
    
    Split out of the patch from 720218
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-media-item.vala   | 63 -----------------------------
 src/librygel-server/rygel-media-object.vala | 49 ++++++++++++++++++++++
 2 files changed, 49 insertions(+), 63 deletions(-)

commit 6705f8024ad87df3ca5048b394ea2ed8e9197310
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 22 09:13:04 2014 +0200

    all: Bump API and ABI version
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .gitignore                                         | 10 ++++-----
 Makefile.am                                        |  8 +++----
 common.am                                          | 16 ++++++-------
 configure.ac                                       | 20 ++++++++---------
 doc/reference/doc-build.am                         |  4 ++--
 doc/reference/librygel-renderer-gst/Makefile.am    |  4 ++--
 doc/reference/librygel-renderer/Makefile.am        |  2 +-
 doc/reference/librygel-server/Makefile.am          |  2 +-
 rygel-core-2.2.pc.in                               | 15 -------------
 rygel-core-2.4.pc.in                               | 15 +++++++++++++
 rygel-renderer-2.2.pc.in                           | 12 ----------
 rygel-renderer-2.4.pc.in                           | 12 ++++++++++
 rygel-renderer-gst-2.2.pc.in                       | 12 ----------
 rygel-renderer-gst-2.4.pc.in                       | 12 ++++++++++
 rygel-server-2.2.pc.in                             | 14 ------------
 rygel-server-2.4.pc.in                             | 14 ++++++++++++
 src/librygel-core/Makefile.am                      | 26 +++++++++++-----------
 src/librygel-core/rygel-core-2.2.deps              |  4 ----
 src/librygel-core/rygel-core-2.4.deps              |  4 ++++
 src/librygel-renderer-gst/Makefile.am              | 26 +++++++++++-----------
 .../rygel-renderer-gst-2.2.deps                    |  2 --
 .../rygel-renderer-gst-2.4.deps                    |  2 ++
 src/librygel-renderer/Makefile.am                  | 24 ++++++++++----------
 src/librygel-renderer/rygel-renderer-2.2.deps      |  1 -
 src/librygel-renderer/rygel-renderer-2.4.deps      |  1 +
 src/librygel-server/Makefile.am                    | 24 ++++++++++----------
 src/librygel-server/rygel-server-2.2.deps          |  5 -----
 src/librygel-server/rygel-server-2.4.deps          |  5 +++++
 src/plugins/playbin/Makefile.am                    |  2 +-
 tests/Makefile.am                                  |  4 ++--
 30 files changed, 151 insertions(+), 151 deletions(-)

commit 8360c5bf5fb794de12689c1b0cc0445ddf70dc2e
Author: Craig Pratt <craig@ecaspia.com>
Date:   Sat Jun 21 22:13:35 2014 +0200

    server: Add AudioItem documentation
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-audio-item.vala | 32 ++++++++++++++++++++++++++++---
 1 file changed, 29 insertions(+), 3 deletions(-)

commit d442db5ef6aab3c3ffc0898778ce484ba4c31936
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 21 19:56:43 2014 +0200

    renderer: Clear timeout after removing it
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer/rygel-player-controller.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 288fb027abf404790248c755f9d4813ab9021cb5
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 21 19:38:47 2014 +0200

    doc: Update manpage
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 doc/man/rygel.xml | 45 +++++++++++++++++++++++++++++----------------
 1 file changed, 29 insertions(+), 16 deletions(-)

commit 412a3a10f7c5f3e1879dacd26aad3923b081c270
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 21 19:26:31 2014 +0200

    rygel: Introduce -r/--replace option
    
    Also change default behavior: Previously, rygel would silently replace an
    already running instance. Now it just exists. To return to old behavior, the
    -r/--replace option was introduced.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731859

 doc/man/rygel.xml                   | 22 ++++++++++++++++++++++
 src/rygel/rygel-cmdline-config.vala | 13 +++++++++++--
 src/rygel/rygel-dbus-service.vala   | 15 ++-------------
 3 files changed, 35 insertions(+), 15 deletions(-)

commit 6b4cb6b05255135803598c6bc2c68591be9b5ec9
Author: Daniel Mustieles <dnaiel.mustieles@gmail.com>
Date:   Tue Jun 17 19:25:31 2014 +0200

    Updated Spanish translation

 po/es.po | 98 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 48 deletions(-)

commit e8c8498b40cc1a396521679c4ed5afc4fd3dce1d
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 15 11:51:22 2014 +0200

    media-export: Fix album art for m4a files
    
    The tag is PREVIEW_IMAGE in that case, not IMAGE
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/plugins/media-export/rygel-media-export-item-factory.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit da483d63190ba59ccd19fbcdcf27ca63b62e773b
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 15 11:38:03 2014 +0200

    media-export: Small style fix
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/plugins/media-export/rygel-media-export-item-factory.vala | 2 ++
 1 file changed, 2 insertions(+)

commit c70a2a3a6a7dbf7c3aa8093a27bba754032e7fbd
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 15 09:34:06 2014 +0200

    media-export: Make grace period configurable
    
    While it helps not to run discover on half-downloaded files, it slows down the
    server sync use-case and breaks several DLNA requirements.
    
    It can turned off now using monitor-grace-timeout=0
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694455

 data/rygel.conf                                    |  1 +
 doc/man/rygel.conf.xml                             |  8 ++++++
 .../media-export/rygel-media-export-harvester.vala | 29 +++++++++++++++++++---
 3 files changed, 34 insertions(+), 4 deletions(-)

commit cb5f163255af3d29fc4c28a2971fa002d0fe8343
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 23:23:32 2014 +0200

    i18n: Fix POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 67adb575b3d90ad1adbd795ac17d66d60549a4f6
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 23:21:55 2014 +0200

    tests: Fix object creator test
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/rygel-object-creator-test.vala | 3 +++
 1 file changed, 3 insertions(+)

commit 8d7015021c49498d10812ef0b26b59b146c9db3d
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 23:21:34 2014 +0200

    test: Remove album art spec test
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/Makefile.am                    |  12 ----
 tests/rygel-album-art-spec-test.vala | 130 -----------------------------------
 tests/rygel-media-art-store.vala     |   1 -
 3 files changed, 143 deletions(-)

commit a2fe15d6442212dc524785166bd35d3d5fb8a38d
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 22:31:53 2014 +0200

    media-export: Prevent warning on upload
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .../rygel-media-export-recursive-file-monitor.vala            | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 65965a0994f473885a0dfbf3e72385753125a316
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 22:30:30 2014 +0200

    server: Prevent critical on upload
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-media-art-store.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3198d41d65e883a4f31185a05ec774d7ef73717b
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 21:29:26 2014 +0200

    engine-gst: Prevent critical after streaming
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/media-engines/gstreamer/rygel-gst-data-source.vala | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 404b6f0fa5ec3d8e1d4ebebf4b93bd5a719cc147
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 21:27:48 2014 +0200

    media-export: Also extract sidecar media-art
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710387

 src/plugins/media-export/rygel-media-export-item-factory.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 124cb22dab426aff9d62b37ca98ca11c99f94848
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 21:07:43 2014 +0200

    server,media-export: Use libmediaart for storing
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710387

 configure.ac                                       |  1 +
 src/librygel-server/rygel-media-art-store.vala     |  7 +++
 src/plugins/media-export/Makefile.am               |  1 -
 .../rygel-media-export-item-factory.vala           |  9 ++-
 .../rygel-media-export-jpeg-writer.vala            | 71 ----------------------
 5 files changed, 12 insertions(+), 77 deletions(-)

commit 1903a5e73499cbe365f116d6b41970971d9e2e35
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 19:31:22 2014 +0200

    server: Port media-art lookup to libmediaart
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710387

 configure.ac                                   |   7 +-
 src/librygel-server/Makefile.am                |   3 +-
 src/librygel-server/libmediaart-1.0.vapi       |  35 +++++++
 src/librygel-server/rygel-media-art-store.vala | 139 ++-----------------------
 4 files changed, 53 insertions(+), 131 deletions(-)

commit 8a459297a87d034469ee5343d02f930295735b6b
Author: Craig Pratt <craig@ecaspia.com>
Date:   Tue Feb 18 03:19:00 2014 +0000

    server: Set HTTP version as late as possible
    
    So that requests might change headers depending on HTTP request version.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702555

 src/librygel-server/rygel-http-get.vala     | 6 ++++++
 src/librygel-server/rygel-http-request.vala | 4 ----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 605eae6f5407ffa175a4770d2a6922a8e5164def
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 17:13:29 2014 +0200

    build: Re-enable strict vala, disable deprecation
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 autogen.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 47fb964a887480c5898703e4c5b5e8493d74fd36
Author: Jens Georg <mail@jensge.org>
Date:   Thu Mar 20 22:15:18 2014 +0100

    renderer-gst: Use dlna+http[s] virtual protocol
    
    If the dlnasrc element is available, we try to use it for http and
    https protocols using it's virtual dlna+ protocol prefix.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721817

 src/librygel-renderer-gst/rygel-playbin-player.vala | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 7742b821193e401b2d26f0205ea8ef8ca68b279c
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 16:30:50 2014 +0200

    server: Fix order of fetching/adding
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723374

 src/librygel-server/rygel-reference-creator.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ee5a0e74ee333b99a078fedc842932de202998cf
Author: Richard Röjfors <richard.rojfors@gmail.com>
Date:   Sat Jun 7 01:58:43 2014 +0200

    server: Pass more metadata on object creation
    
    When an object is be created it is now populated with the metadata
    provided from the control point, enabling the server to create an
    object with the metadata.
    
    Signed-off-by: Richard Röjfors <richard.rojfors@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731348

 src/librygel-server/rygel-object-creator.vala | 2 ++
 1 file changed, 2 insertions(+)

commit 87c720e1572eef1b59b1f5c13bd79c72f9125e2d
Author: Alexander Kanavin <alex.kanavin@gmail.com>
Date:   Mon Mar 24 19:54:26 2014 +0200

    librygel-renderer: avoid using the http_proxy environment variable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726982

 src/librygel-renderer/rygel-av-transport.vala | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 850ade94c4bca4c465ecacee1fff83b474641cd0
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 14:41:29 2014 +0200

    renderer-gst: Use duration from meta-data
    
    Until we get the proper duration from the pipeline, use the one supplied in
    the meta-data if available.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .../rygel-playbin-player.vala                      | 26 +++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit b566af954496c1a1e65e0ac748a2b32c2e9b3183
Author: Jens Georg <mail@jensge.org>
Date:   Sat Jun 14 11:55:45 2014 +0200

    core: Work-around bgo#725194
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-core/rygel-plugin-information.vala | 2 --
 1 file changed, 2 deletions(-)

commit 0c32705656faca57ae80c40a260802401a8978c8
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jun 10 17:41:01 2014 +0200

    renderer-gst: Update video duration
    
    On READY->PAUSED state change, check for duration availability and signalize
    it.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721824

 src/librygel-renderer-gst/rygel-playbin-player.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit e11a6b551f75382a083218c46d9ae33172f57513
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jun 10 17:09:47 2014 +0200

    renderer-gst: Fix duration/position
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-player.vala | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 5e7ec5573302c5bd5db81e9bdf6b9118cd5516f3
Author: Jens Georg <mail@jensge.org>
Date:   Sun Jun 1 20:01:26 2014 +0200

    ui: Port from Dialog to Window
    
    Get rid of "Gtk-Message: GtkDialog mapped without a transient parent. This is
    discouraged."
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 data/rygel-preferences.ui            | 52 ++++++++++++------------------------
 src/ui/rygel-preferences-dialog.vala | 22 ++++++++++++---
 2 files changed, 36 insertions(+), 38 deletions(-)

commit 50a54ae2473c60813af29293ef272cd0a875fe8e
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Mar 8 19:50:32 2013 +0100

    renderer-gst: Use cubic volume
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689632

 configure.ac                                        | 7 +++++--
 src/librygel-renderer-gst/rygel-playbin-player.vala | 6 ++++--
 2 files changed, 9 insertions(+), 4 deletions(-)

commit e1017ee8bcb65a9b5fb439ef05de894f22680a2d
Author: Jens Georg <mail@jensge.org>
Date:   Sat May 31 10:58:05 2014 +0200

    Update .gitignore
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 078f1064ba2974b94456622631f9048982b8da39
Author: Jens Georg <mail@jensge.org>
Date:   Sat May 31 10:57:00 2014 +0200

    build: Disable strict vala because of dubious libsoup deprecation
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2f72ccb322484b07270e46527a3fabe410788d0
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 29 10:06:23 2014 +0200

    build: Fix make distcheck
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 doc/reference/doc-build.am | 1 +
 1 file changed, 1 insertion(+)

commit 7e487645a4657a4175fdfed4a66d2a983d8eda8f
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 29 08:48:39 2014 +0200

    build: Remove INSTALL
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 INSTALL | 365 ----------------------------------------------------------------
 1 file changed, 365 deletions(-)

commit d5cb8feecb786ba5e6be505bf6f45150cbee2d17
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 29 08:44:17 2014 +0200

    tests: Bump timeouts
    
    Reported by debian maintainers that it helps to pass thests on Hurd.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 tests/rygel-http-post-test.vala   | 2 +-
 tests/rygel-user-config-test.vala | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fafd47869cf146fa2ca9012f60148af2cff6aaa5
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 29 08:31:59 2014 +0200

    server,plugins: Fix type name clash
    
    Caused DBus plugins not to work properly
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730913

 src/librygel-server/rygel-dbus-thumbnailer.vala            | 2 +-
 src/librygel-server/rygel-free-desktop-interfaces.vala     | 4 ++--
 src/plugins/external/rygel-external-album-art-factory.vala | 2 +-
 src/plugins/external/rygel-external-container.vala         | 2 +-
 src/plugins/external/rygel-external-icon-factory.vala      | 2 +-
 src/plugins/external/rygel-external-item-factory.vala      | 1 -
 src/plugins/external/rygel-external-plugin-factory.vala    | 2 +-
 src/plugins/external/rygel-external-plugin.vala            | 2 +-
 src/plugins/external/rygel-external-thumbnail-factory.vala | 2 +-
 src/plugins/external/rygel-free-desktop-interfaces.vala    | 6 +++---
 src/plugins/mpris/rygel-free-desktop-interfaces.vala       | 4 ++--
 src/plugins/mpris/rygel-mpris-plugin-factory.vala          | 2 +-
 12 files changed, 15 insertions(+), 16 deletions(-)

commit b60b85d66d57e2f4e0fc520309971b9dae898ff1
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri May 23 03:56:45 2014 +0000

    Updated Indonesian translation

 po/id.po | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit 9e8e1c52891005991077f1eb073d07916e66bdc0
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed May 21 16:55:55 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 40 +++++++++++++++++++++++++++-------------
 1 file changed, 27 insertions(+), 13 deletions(-)

commit 451320ed20f5e5e9e73c3f8077e69285b70d8856
Author: Marek Černocký <marek@manet.cz>
Date:   Sun May 18 08:11:08 2014 +0200

    Updated Czech translation

 po/cs.po | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit 6734decb3835d8bc50fd1b8a7c282f483cc9fad5
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 15 19:13:38 2014 +0200

    build: Bump libsoup requirement to 2.44
    
    Needed for SoupStatus
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa69d4c5ebcddb61f8109907bc471efb7f6b30e9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat May 10 20:01:05 2014 +0200

    Updated Spanish translation

 po/es.po | 39 ++++++++++++++++++++++++++-------------
 1 file changed, 26 insertions(+), 13 deletions(-)

commit fc173d8c8f9ee68d7d896d8370c78c68e32f08a6
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri May 9 00:36:41 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 222 ++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 147 insertions(+), 75 deletions(-)

commit ba2c811fa579b6bfbd4f5607ecec70efd57e7d07
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 1 15:19:53 2014 +0200

    server: Extract all resources on object creation
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729090

 src/librygel-server/rygel-object-creator.vala | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit c4a5c2a3c2be7a50937b5cb2125abd8c8525e753
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 1 14:22:54 2014 +0200

    renderer-gst: Deprecate Renderer.wrap constructor
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-renderer.vala | 1 +
 1 file changed, 1 insertion(+)

commit 33caa39d4d8bf643e68bbc49cd7466d88df5db65
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 1 14:17:23 2014 +0200

    renderer-gst,playbin: Don't exit when playbin is missing
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710443

 .../rygel-playbin-player.vala                      | 24 ++++++++++++++++++++--
 .../rygel-playbin-renderer.vala                    | 21 ++++++++++++++-----
 src/plugins/playbin/rygel-playbin-module.vala      |  9 +++++---
 src/plugins/playbin/rygel-playbin-plugin.vala      | 16 ++++++++-------
 4 files changed, 53 insertions(+), 17 deletions(-)

commit 1f400830dbfc4ffb2475d06567b9ad3901fa09df
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 1 13:42:47 2014 +0200

    Update .gitignore
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .gitignore | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 9b90c4b9a246eb28ace2949b355a026e0ea578ac
Author: Reiner Merk <lotan_rm@gmx.de>
Date:   Wed Dec 18 12:15:00 2013 +0000

    external: Let the peer decide the sort order
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720672

 src/plugins/external/rygel-external-container.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 1bbf21608ff9012b1807b0243bd1d389f90a9620
Author: Jens Georg <mail@jensge.org>
Date:   Thu May 1 10:05:39 2014 +0200

    tracker: Actually use nmm:dlnaMime
    
    Whoops. That was added for Rygel and we never actually used it...
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/plugins/tracker/rygel-tracker-upnp-property-map.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0483d5f9476ab406787fe6ebef7598785091e65e
Author: Jens Georg <mail@jensge.org>
Date:   Tue Apr 29 20:30:41 2014 +0200

    build: Remove -Wl,-z,defs
    
    Was added by accident and seems to cause problems on some platforms
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727479

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee7895e528e88f6d22683ac17668e22701516f32
Author: evafotopoulou <eva_fotopoulou@hotmail.com>
Date:   Fri Apr 18 17:35:52 2014 +0000

    Updated Greek translation

 po/el.po | 71 ++++++++++++++++++++++------------------------------------------
 1 file changed, 24 insertions(+), 47 deletions(-)

commit c08e5ca2ef9e71b5066698301bfcc912702aebd8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 6 20:03:35 2014 +0200

    doap: update URLs

 rygel.doap | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 61fa840d7364c8dc93719ebf9c0360dbd0dd8e8b
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Apr 1 14:28:17 2014 +0300

    renderer: Use NextAVTransport* values in GetMediaInfo()
    
    AVTransport should return NextAVtransportURI and
    NextAVtransportURIMetadata variables in GetMediaInfo() and
    GetMEdiaInfo_Ext() now that they are available.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727424

 src/librygel-renderer/rygel-av-transport.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4f819a1228f2f6ac775076900563945924733d25
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 10 17:01:22 2013 +0200

    media-export: Small style fix

 src/plugins/media-export/rygel-media-export-media-cache.vala | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit bf77fddf4df5da9da4eb02caeb5094033c85a3ee
Author: Peter Mráz <etkinator@gmail.com>
Date:   Sat Mar 29 21:28:25 2014 +0100

    Updated slovak translation

 po/sk.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 1aeaa59281800d515c01413d3b6826b5f6aedb44
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Mar 29 21:17:27 2014 +0100

    Updated slovak translation

 po/sk.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1c6924860803b222a69478954ecb975555ca1a17
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Mar 29 21:15:48 2014 +0100

    Updated slovak translation

 po/sk.po | 287 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 184 insertions(+), 103 deletions(-)

commit 0348afcfedc4b380cf0a1c40a939d1fc2df21946
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 24 20:22:26 2014 +0900

    l10n: Update Japanese translation

 po/ja.po | 232 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 160 insertions(+), 72 deletions(-)

commit 7158b5484279c1f8eb451666e3ca269cb04ae15f
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sun Mar 23 23:15:24 2014 +0100

    Updated Danish translatoin

 po/da.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 30c9da3066355b4aa87d4e58a1ac03c091574506
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Mar 23 16:30:01 2014 +0100

    Updated Basque language

 po/eu.po | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

commit 0684a1148d77c6e722cd058602256b9788b50ebb
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 22 20:59:34 2014 +0100

    Updated Basque language

 po/eu.po | 214 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 141 insertions(+), 73 deletions(-)

commit 18548967c30b24c50231455814e2dec08fbd9bcb
Author: Jens Georg <mail@jensge.org>
Date:   Fri Mar 21 20:25:30 2014 +0100

    core: Don't spam debug log
    
    Only try to read /etc/machine-info once, not all the time.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-core/rygel-root-device-factory.vala | 29 +++++++++++++++---------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit 0b2f763bd0e250d552a5bdacf66811cd94bfd7eb
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Thu Mar 20 21:11:14 2014 +0100

    Updated Danish translation

 po/da.po | 222 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 151 insertions(+), 71 deletions(-)

commit a00b362cb5562114ab813b6c62f56984e3e4836b
Author: Jens Georg <mail@jensge.org>
Date:   Thu Mar 20 20:02:10 2014 +0100

    renderer: Fix URI handling
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726776

 src/librygel-renderer/rygel-av-transport.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3794eecee5339df69bcb76d6ae0b6b0111d5b74b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 20 05:56:36 2014 +0100

    Updated Serbian translation

 po/sr.po | 285 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 171 insertions(+), 114 deletions(-)

commit 3375c9e9762da920aa3ffa448c8d4b56d2ea8167
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Mar 20 01:07:16 2014 +0000

    Updated Portuguese translation

 po/pt.po | 924 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 656 insertions(+), 268 deletions(-)

commit cd821a31164841d35c830e447941f2ee5db8837d
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Mon Mar 17 23:52:23 2014 +0100

    [l10n] Add Catalan translation

 po/ca.po | 195 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 134 insertions(+), 61 deletions(-)

commit 4dc8d49de488134044438e89f26e5c3e79645e55
Author: Jens Georg <mail@jensge.org>
Date:   Mon Mar 17 19:49:41 2014 +0100

    Prepare 0.21.6
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 NEWS | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit fdd2dc1394864c3ae621e944daa6756711947da9
Author: Jens Georg <mail@jensge.org>
Date:   Mon Mar 17 19:46:30 2014 +0100

    build: Replace another cp -d
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 doc/reference/doc-build.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e10e53299fb9b313db5d757f4542cf9dd9bf72ec
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Mar 17 05:48:07 2014 +0000

    Updated Indonesian translation

 po/id.po | 150 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 98 insertions(+), 52 deletions(-)

commit 6e2b4e4eb930ce93f02895e3ee3d908983ad1ceb
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sun Mar 16 23:34:48 2014 +0200

    Finnish translation update by Jiri Grönroos

 po/fi.po | 268 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 175 insertions(+), 93 deletions(-)

commit 7253502772e63a27f6ffcabf94d979d8dc410066
Author: naybnet <naybnet@gmail.com>
Date:   Sun Mar 16 12:41:41 2014 +0000

    Updated French translation

 po/fr.po | 238 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 167 insertions(+), 71 deletions(-)

commit 0f73d131acc1e790425b46646af144ef0f3bb5b4
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 16 00:12:17 2014 +0200

    Updated Ukrainian translation

 po/uk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 42760e42807025badc36ad5a40db017ceb647f31
Author: Jens Georg <mail@jensge.org>
Date:   Sat Mar 15 10:06:56 2014 +0100

    renderer-gst: Fix two criticals on startup
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-player.vala | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 9d2158ed56c441dbbadb482ae21066aed0615da7
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:   Wed Mar 12 18:24:30 2014 +0100

    Updated Polish translation

 po/pl.po | 154 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 102 insertions(+), 52 deletions(-)

commit b7a6fd0d64f267a61edf6ca9c982a5148941a19d
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Mon Mar 10 15:50:14 2014 +0400

    Updated Russian translation

 po/ru.po | 164 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 110 insertions(+), 54 deletions(-)

commit 0989936559cd6126642c5d086ac722d8486b0fa6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Mar 9 13:10:10 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 24 +++++++++---------------
 po/zh_TW.po | 24 +++++++++---------------
 2 files changed, 18 insertions(+), 30 deletions(-)

commit 1acb320f0ace7ef88f474cca9a420e6d88c1c12d
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Sat Mar 8 14:24:08 2014 +0000

    Updated Chinese (China) translation

 po/zh_CN.po | 31 ++++++++++++++++++++++---------
 1 file changed, 22 insertions(+), 9 deletions(-)

commit 280c84545ab6e0e26efd4fb9aa4fb565b601ac6f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Mar 7 22:51:03 2014 +0200

    Updated Latvian translation

 po/lv.po | 180 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 120 insertions(+), 60 deletions(-)

commit 969000297a4d766398c249c35104e5a005674bb4
Author: Jens Georg <mail@jensge.org>
Date:   Thu Mar 6 21:51:48 2014 +0100

    Prepare 0.21.5

 NEWS | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

commit a4ffde75f6b9e214b924469af8640b9debe2c98e
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Mar 7 00:30:21 2014 +0900

    Updated Korean translation

 po/ko.po | 240 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 168 insertions(+), 72 deletions(-)

commit f827acde8e13ea6686d9f50f663d473c757f063d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Mar 5 07:29:46 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b3018f60dbf67ef14f40d2fb70d3f2f48d63d38a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 3 21:56:11 2014 +0100

    Updated Galician translations

 po/gl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 843849e0007700f64624deb91783031c60ff0897
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 3 21:23:41 2014 +0100

    Updated Galician translations

 po/gl.po | 49 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit bd1c1f665002f8d21205aaa8042a67cdb5c14538
Author: Bjørn Lie <bjorn.lie@gmail.com>
Date:   Thu Feb 20 19:23:00 2014 +0000

    build: Support building with tracker-1.0
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724820

 configure.ac | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 73dfc832ee73561206dbaa016b70ec0d1bcef34d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Feb 28 23:15:08 2014 +0100

    Updated Slovenian translation

 po/sl.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 120bc242f04b2fc349a44c8992884cbc1d9dd0fc
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Fri Feb 28 20:32:40 2014 +0100

    Updated Hungarian translation

 po/hu.po | 171 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 110 insertions(+), 61 deletions(-)

commit 7cddbea0384bcdacb3ed4220ddb36e37993241e9
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Feb 28 18:20:41 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 7d850a228b3cd26c76fcd7affee35ca28f9bce6e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Feb 27 23:20:03 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 21 +++++++--------------
 1 file changed, 7 insertions(+), 14 deletions(-)

commit 541ecf2a2bfdffdac58fddeae1cd243e5c28d57b
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Feb 27 15:53:28 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit eb6a22f6cf99abe7153752dfde58974729cbb93f
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Feb 26 08:33:56 2014 +0100

    Updated Czech translation

 po/cs.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 2b05ad8ed2339d15865e9ae583f1a00767efb7bc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 24 17:30:03 2014 +0100

    Updated Spanish translation

 po/es.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit dde6f868bc2002136cbfa54b7314c166c2738ead
Author: Jens Georg <mail@jensge.org>
Date:   Sun Feb 23 17:53:00 2014 +0100

    renderer-gst: Use contract programming
    
    Improve previous commit to be more valaish.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-renderer-gst/rygel-playbin-player.vala | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 58c3ba92e714bc4d020d2362a51ca854ff3e3c80
Author: Jens Georg <mail@jensge.org>
Date:   Sun Feb 23 17:27:51 2014 +0100

    renderer-gst: Return null in error case
    
    This is slightly bad since this is a constructor; we can safely return here
    because the C code has not executed the constructor yet.
    
    As the function was deprecated anyway with an earlier commit, beaty doesn't
    really matter.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722021

 src/librygel-renderer-gst/rygel-playbin-player.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 1f7483f12078cdce2cac411f8b761b52a52e309c
Author: Jens Georg <mail@jensge.org>
Date:   Sun Feb 23 10:49:11 2014 +0100

    media-export: Clarify message
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/plugins/media-export/rygel-media-export-harvesting-task.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b78f9345e6643f7de2f6f146c29102eef56f9a86
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 19 23:17:02 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 93cc06931ddd8a7891da0ee89adba9ae70eda0e5
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sun Oct 20 23:40:55 2013 +0200

    Add support for pretty hostnames
    
    Read and parse /etc/machine-info to obtain a pretty human readable
    hostname (eg. "Bob's Laptop" instead of "bob-laptop"). If the
    file is not found, or it can't be parsed, we fall back on the
    normal hostname.
    
    In GNOME, the pretty hostname can be configured in the control
    center details and sharing panels. In other systems, it can be
    changed using "hostnamectl --pretty".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724138

 data/rygel.conf                                  |  2 +-
 src/librygel-core/rygel-root-device-factory.vala | 25 ++++++++++++++++++++++++
 src/librygel-server/rygel-media-object.vala      |  9 +++++++++
 3 files changed, 35 insertions(+), 1 deletion(-)

commit a2a90d7fb4cc832aa51ba9d03a1d162d2b25ed55
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Feb 12 22:44:25 2014 +0200

    Updated Ukrainian translation

 po/uk.po | 1305 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 945 insertions(+), 360 deletions(-)

commit b74ff42760e96bbf316cc00521b17388b59d171d
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Wed Feb 12 19:36:58 2014 +0530

    Assamese translation updated

 po/as.po | 912 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 657 insertions(+), 255 deletions(-)

commit fdaef58458cb6abf83771adeb2137db14cae0ec1
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Feb 12 10:37:51 2014 +0100

    data: Make the GstLaunch pipelines in rygel.conf work with gst-1.0
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724215

 data/rygel.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f0ae3f0b6fab7fc962a0feb86ed6b46249a1f047
Author: Jens Georg <mail@jensge.org>
Date:   Sun Feb 9 13:09:24 2014 +0100

    build: Replace non-portable cp -d
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722527

 doc/reference/doc-build.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d276d78d27b861b0a18cdd43e247ca19a3057836
Author: Jens Georg <mail@jensge.org>
Date:   Sun Feb 9 12:54:37 2014 +0100

    renderer-gst: Deprecate element wrapping
    
    The function causes leaks in the error case and secondly, wrapping an existing
    pipeline is not as helpful as I thought it would be.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722021

 src/librygel-renderer-gst/rygel-playbin-player.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e51e935db97924ac1bf3ae421f38f7e7c141c116
Author: Jens Georg <mail@jensge.org>
Date:   Sat Feb 8 09:13:47 2014 +0100

    build: Fix make distcheck

 doc/reference/doc-build.am    | 5 +++++
 po/POTFILES.in                | 3 ---
 tests/rygel-dlna-profile.vala | 2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit 61f875c7c09462f3af2fb6655bd97b0fea5b9e2c
Author: Jens Georg <mail@jensge.org>
Date:   Sat Feb 8 07:40:49 2014 +0100

    build: Remove obsolete configure option
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75522896a0af0213a6f354e84ff3b0cc7340a762
Author: Jens Georg <mail@jensge.org>
Date:   Sat Feb 8 07:37:59 2014 +0100

    doc: Some improvments to gtk-doc
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 doc/reference/librygel-core/gtkdoc/librygel-core-docs.xml | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit e4a87003f4d9550020bb743d38299600a1806fe8
Author: Jens Georg <mail@jensge.org>
Date:   Sat Feb 8 07:32:00 2014 +0100

    all: Move Rygel.DLNAProfile into core
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .../librygel-core/gtkdoc/librygel-core-docs.xml    |  1 +
 .../vala/example-renderer-plugin-vala.vala         |  6 +--
 src/librygel-core/filelist.am                      |  1 +
 src/librygel-core/rygel-dlna-profile.vala          | 45 ++++++++++++++++++++++
 .../rygel-playbin-player.vala                      |  1 -
 src/librygel-renderer/filelist.am                  |  1 -
 src/librygel-renderer/rygel-dlna-profile.vala      | 44 ---------------------
 .../rygel-media-renderer-plugin.vala               |  2 -
 src/librygel-server/filelist.am                    |  1 -
 src/librygel-server/rygel-dlna-profile.vala        | 45 ----------------------
 10 files changed, 50 insertions(+), 97 deletions(-)

commit a4dbe47e1639697507c9ddc603c1f8d9f8dc559e
Author: Jens Georg <mail@jensge.org>
Date:   Sat May 25 15:35:23 2013 +0900

    all: Remove Freedesktop interfaces from core
    
    They're used in two plug-ins only and are a pain in the donkey when doing
    gobject-introspection.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 .../librygel-core/gtkdoc/librygel-core-docs.xml    |  3 --
 src/librygel-core/filelist.am                      |  1 -
 .../rygel-free-desktop-interfaces.vala             | 43 ----------------------
 src/librygel-server/filelist.am                    |  1 +
 .../rygel-free-desktop-interfaces.vala             | 32 ++++++++++++++++
 src/plugins/external/Makefile.am                   |  3 +-
 .../external/rygel-free-desktop-interfaces.vala    | 43 ++++++++++++++++++++++
 src/plugins/mpris/Makefile.am                      |  3 +-
 .../mpris/rygel-free-desktop-interfaces.vala       | 37 +++++++++++++++++++
 9 files changed, 117 insertions(+), 49 deletions(-)

commit 7267047cdb26dc7040c7d591a28d43d5738de3a5
Author: Jens Georg <mail@jensge.org>
Date:   Mon Feb 3 21:11:36 2014 +0100

    Prepare 0.21.4

 NEWS | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 3a113f9cfb976e4c23273edbffb063d49302de78
Author: Jens Georg <mail@jensge.org>
Date:   Mon Feb 3 17:52:47 2014 +0100

    core: Link against libm for "round"
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-core/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a2fc4dc715d8e969c498f86388eb8af3f337f104
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 1 07:39:34 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 252 +++++++++++++++++++++++++++++++++++++++++-------------------
 po/zh_TW.po | 252 +++++++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 342 insertions(+), 162 deletions(-)

commit 7d2277f004c9e9752e280bcb4a594b3b896deb89
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 25 11:19:30 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 220 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 152 insertions(+), 68 deletions(-)

commit ab66b3ce0b0adeb892faab8587a70674468dbbb9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jan 20 21:39:41 2014 +0100

    Updated Slovenian translation

 po/sl.po | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit 29f2ebf7652e417457c56f27b6e5fb886e31ddd8
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Jan 17 07:56:58 2014 +0100

    Updated Czech translation

 po/cs.po | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit c03b7a17de7c7da14f62c0984b0911e6085fb317
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jan 14 22:34:50 2014 +0100

    Prepare 0.21.3

 NEWS | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 943a61d3993b2fa6392fb2faa97d950e9573341d
Author: Jens Georg <mail@jensge.org>
Date:   Sat Dec 21 12:02:02 2013 +0100

    renderer-gst: Don't handle buffering/clock-lost
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720836

 .../rygel-playbin-player.vala                      | 45 ++--------------------
 1 file changed, 4 insertions(+), 41 deletions(-)

commit d59cedcbf1da4f9a50d215b03d30b3233a77cfe5
Author: Jens Georg <mail@jensge.org>
Date:   Tue Dec 31 14:33:53 2013 +0100

    server: Add LG TV hacks
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721270

 src/librygel-server/filelist.am             |  1 +
 src/librygel-server/rygel-client-hacks.vala |  3 ++
 src/librygel-server/rygel-lg-tv-hacks.vala  | 44 +++++++++++++++++++++++++++++
 3 files changed, 48 insertions(+)

commit 73c37c63fe4b324f46a36632a7136b1d5b94cfe8
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jan 14 22:21:39 2014 +0100

    all: Update FSF address
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721575

 COPYING | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 69e2a5fe71275eb0fd08eda4dd2add87c9712213
Author: siva <siva@orexel.com>
Date:   Fri Dec 20 13:26:34 2013 -0700

    renderer-gst: Use source element for queries.
    
    Fixes querying duration and position.
    
    Fixes DLNA CTT : 7.3.157.8
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721824

 src/librygel-renderer-gst/rygel-playbin-player.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 48c10b636ef8bd94c164753afd957182019198b8
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jan 14 22:00:03 2014 +0100

    media-export: Disable Artist/All container
    
    Work-around browsing issue in virtual containers.
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/plugins/media-export/rygel-media-export-node-query-container.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d0793d3b26afebcf529b8b9911cf59c1efe87f6b
Author: Jens Georg <mail@jensge.org>
Date:   Fri Jan 3 23:17:56 2014 +0100

    server: Use correct depth for PNG icons
    
    Signed-off-by: Jens Georg <mail@jensge.org>

 src/librygel-server/rygel-thumbnailer.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 632d9585b29512802fb4be9b13a67084358eba20
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Jan 13 12:50:42 2014 +0500

    Tajik translation updated

 po/tg.po | 381 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 256 insertions(+), 125 deletions(-)

commit 3f35374662f2354d6fa4fbaec28c34da9a2b1113
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Jan 12 20:30:39 2014 +0200

    Updated Greek translation

 po/el.po | 97 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 49 insertions(+), 48 deletions(-)

commit da1ed762207102c4e10fcc5d462aa2d4ee49e923
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Jan 6 09:27:48 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit f305d63cb6dc1f3cf345eacbe51252a81e822bb0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jan 3 23:04:55 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 190 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 135 insertions(+), 55 deletions(-)

commit 8faafaeaa093f7ab99299311e185adae2e4d002d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 2 10:15:15 2014 +0100

    Updated Spanish translation

 po/es.po | 49 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit d9d5c269fe1d24b8587c031d5dbf96691925e67c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Jan 2 06:18:21 2014 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 170 ++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 114 insertions(+), 56 deletions(-)

commit 15b8977e39d810fa853817b9a22a331d4fdd9931
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Oct 14 07:26:58 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 67 +++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 24 deletions(-)

commit 6f557c866cd98d615a1494402e808458054f3a11
Author: Jens Georg <mail@jensge.org>
Date:   Wed Jan 1 15:25:14 2014 +0100

    external: Don't corrupt container names
    
    Looks like the code was overwriting the container's title in several places.
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720671

 src/plugins/external/rygel-external-container.vala | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 8b1984eefe1b8b30a71bfc94716f1b53bb880f78
Author: Tong Hui <tonghuix@gmmail.com>
Date:   Sat Dec 28 20:12:36 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 111 +++++++++++++++++++++++++++---------------------------------
 1 file changed, 49 insertions(+), 62 deletions(-)

commit 537e8c1cc2c5f13a5d5a39db150f695acf7a5db5
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Dec 27 15:56:13 2013 +0100

    Updated Czech translation

 po/cs.po | 98 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 47 insertions(+), 51 deletions(-)

commit 547293d07b5caaa6bb0dd5c231ba3b7f96d882f4
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Dec 24 09:10:28 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 49 ++++++++++++++++++-------------------------------
 1 file changed, 18 insertions(+), 31 deletions(-)

commit 4d73fe61df321218f7c6deca074057c9019f6731
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 21 22:36:54 2013 +0100

    Updated Slovenian translation

 po/sl.po | 174 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 106 insertions(+), 68 deletions(-)

commit c886acab71c54a7816a85d765936746bf1f203c4
Author: Frédéric Péters <fpeters@0d.be>
Date:   Sat Dec 21 14:10:49 2013 +0100

    build: Fix building against tracker 0.18

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e21d6e7b4335e4582ccce01d83d74f632198c2cc
Author: Jens Georg <mail@jensge.org>
Date:   Sat Dec 21 12:33:01 2013 +0100

    Prepare 0.21.2

 NEWS | 66 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 28a2cbf83f2304edb35f062594f2ed1b31551a4f
Author: Jens Georg <mail@jensge.org>
Date:   Sat Dec 21 12:29:59 2013 +0100

    server: Add more seek hacks

 src/librygel-server/rygel-seek-hacks.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3e34306eb291647128091b81372e0b7ad8b38d57
Author: Reiner Merk <lotan_rm@gmx.de>
Date:   Wed Dec 18 11:56:00 2013 +0000

    external: Swap AlbumArtFactory.create parameters
    
    ServiceName and ObjectPath were mixed-up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720669

 src/plugins/external/rygel-external-item-factory.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e0331a864b86f32b1bf7e8a14ba103f9ab3362b
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Fri Dec 20 08:34:02 2013 -0700

    renderer: Match PlaybackStorageMedium values
    
    Use case as in AVTransport2.xml.in
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720837

 src/librygel-renderer/rygel-av-transport.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fbf259c9bdd5a239aa3d16d1670c8b920b6a627b
Author: Jens Georg <mail@jensge.org>
Date:   Sat Dec 21 11:18:10 2013 +0100

    renderer: Treat ABS_TIME/REL_TIME the same
    
    Looks like the original fix wasn't correct, see
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686628#c3
    
    Signed-off-by: Jens Georg <mail@jensge.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712181

 src/librygel-renderer/rygel-av-transport.vala | 3 ---
 1 file changed, 3 deletions(-)

commit 9f262e16f5f480c9a5d89b42d5b88cd73971c249
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 19 14:37:31 2013 +0100

    Updated Spanish translation

 po/es.po | 22 +++++-----------------
 1 file changed, 5 insertions(+), 17 deletions(-)

commit eb67062f679768f7ece24e5efb529095db6a96c4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Dec 19 01:50:05 2013 +0100

    Updated Galician translations

 po/gl.po | 60 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 32 insertions(+), 28 deletions(-)

commit 1a851ab84c8da398ec781c8bc1c57c0e2c06e47a
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Dec 18 09:43:48 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 62 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 29 deletions(-)

commit 59a975a97e89a7170018a51ddef5861fbc156f90
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 16 14:59:56 2013 +0100

    Updated Spanish translation

 po/es.po | 96 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 46 deletions(-)

commit 8224488d9a5ea34e6c90f938f140f1af61824cb1
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Mon Dec 2 15:44:44 2013 +0200

    renderer: Implement SetNextAVTransportURI
    
    This is a simple implementation: It does not prefetch media.
    
    Things that will be tried on EOS or on "Next" action:
     * if there are songs to play on playlist, play next one
     * else if NEXTAVTransportURI is set, play that
     * else set state to "STOPPED" and track to 1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719721

 data/xml/AVTransport2.xml.in                       |  27 ++++-
 src/librygel-renderer/rygel-av-transport.vala      | 118 ++++++++++++++++-----
 src/librygel-renderer/rygel-player-controller.vala |  52 ++++++++-
 3 files changed, 166 insertions(+), 31 deletions(-)

commit c2ae13f249ec7bb55eb887e80eb611631dc73eaf
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Mon Dec 2 16:48:06 2013 +0200

    renderer: Simplify PlayerController "EOS" handler
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709165

 src/librygel-renderer/rygel-player-controller.vala | 30 ++++++++--------------
 1 file changed, 11 insertions(+), 19 deletions(-)

commit cc80bdde4d02ebaa4a85af04d3d21e57fea2aa74
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Thu Nov 28 01:01:55 2013 +0200

    renderer: Avoid notifying track and n_tracks unnecessarily
    
    There were redundant values in LastChange events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709165

 src/librygel-renderer/rygel-player-controller.vala | 36 ++++++++++++++++++----
 1 file changed, 30 insertions(+), 6 deletions(-)

commit 7e7b9c2ae10ddb30ea425bcf67f0fd81f05af070
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Nov 27 22:48:41 2013 +0200

    renderer: Refactor AVTransport and PlayerController
    
    Move track_metadata and track_uri state tracking to controller,
    Stop modifying controller properties from many places in
    AVTransport. Add set_single_play_uri() and set_playlist_uri() as the
    only valid methods to set uri, metadata, etc. Also make property
    setters private if setting them from AVTransport makes no sense.
    
    The goal is to make both classes cleaner, no functional changes
    are intended.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709165

 src/librygel-renderer/rygel-av-transport.vala      | 101 ++++--------------
 src/librygel-renderer/rygel-player-controller.vala | 116 ++++++++++++++++-----
 2 files changed, 113 insertions(+), 104 deletions(-)

commit 1db7452f557748c60ae63c81455033247f2c081f
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Nov 27 22:46:02 2013 +0200

    renderer: handle playback state in PlayerController
    
    Player.playback_state was modified from both PlayerController and
    AVTransport. Start making all modifications through
    PlayerController.playback_state. This has the added benefit that we
    don't accidentally expose "EOS" state to AVTransport.
    
    Also rename some variables "player"->"controller" to match reality.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709165

 src/librygel-renderer/rygel-av-transport.vala      | 22 +++++++++---------
 src/librygel-renderer/rygel-player-controller.vala | 27 +++++++++++-----------
 2 files changed, 24 insertions(+), 25 deletions(-)

commit e7240f55a79e5c0f4647f379269ece559f025a84
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Nov 3 13:39:46 2013 +0100

    renderer: Refactor SetAVTransportURI
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709165

 src/librygel-renderer/rygel-av-transport.vala | 138 +++++++++++++++-----------
 1 file changed, 78 insertions(+), 60 deletions(-)

commit dc06c20cc7915c505181eab996818a5521555077
Author: Jens Georg <mail@jensge.org>
Date:   Fri Dec 13 17:44:45 2013 +0100

    mpris: Set default playspeed
    
    Prevents a critical for MPRIS peers that don't support querying
    playspeed.

 src/plugins/mpris/rygel-mpris-player.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29301e3aad6f8acc17c38876f9bc7e5423fab61a
Author: John Obaterspok <john.obaterspok@gmail.com>
Date:   Mon Dec 9 19:41:38 2013 +0100

    server: More Samsung hacks
    
    Add Samsung [DE]-Series TV workaround for mp2t and quicktime movies

 src/librygel-server/rygel-samsung-tv-hacks.vala | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 824ef8ec2c1455d8369bb0fad16f1fdf41a4afa9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Dec 11 10:47:50 2013 +0100

    Updated Galician translations

 po/gl.po | 193 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 130 insertions(+), 63 deletions(-)

commit b4e3f480a95b60483c81fcdcf8d86795297bfb9f
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Dec 11 10:38:38 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 152 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 100 insertions(+), 52 deletions(-)

commit 3dfb9c107f27440b34ee80d761520737ba6f77c7
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Fri Dec 6 04:58:02 2013 -0700

    Remove unused state variable A_ARG_TYPE_DateTime This fixes DLNA CTT failure for DIAGE 7.2.12.2
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719998

 data/xml/BasicManagement2.xml.in | 5 -----
 1 file changed, 5 deletions(-)

commit 11678864e532be071ba1fb19d73b86c67de684db
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Dec 7 20:52:10 2013 +0100

    Again Updated Esperanto translation - Sorry

 po/eo.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0e8e9f5955117d917cd33b5a8369af82c649f54a
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Dec 7 20:47:46 2013 +0100

    Updated Esperanto translation

 po/eo.po | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit eb9ddc78f1912ea57a3afad65dfa1026fbd97664
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Dec 7 20:43:23 2013 +0100

    Updated Esperanto translation

 po/eo.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 32a1aa1b5b3611af2a0d8f7dc7f6a444f1f3def1
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Dec 7 20:41:10 2013 +0100

    Updated Esperanto translation

 po/eo.po | 1160 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 857 insertions(+), 303 deletions(-)

commit aa4b20c1ef8b8aa6355fb5a94bf798c585c6fb41
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 12:27:51 2013 +0200

    renderer: Fix GetCurrentConnectionInfo's p-i
    
    We need to supply a proper protocol info in GetCurrentConnectionInfo if we
    have one. This is even required by UPnP.
    
    (Partially) fixes DLNA CTT 7.3.53.2
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706986

 src/librygel-core/rygel-connection-manager.vala    |  6 ++++-
 src/librygel-renderer/rygel-media-player.vala      | 29 ++++++++++++++++++++++
 .../rygel-sink-connection-manager.vala             |  7 ++++++
 3 files changed, 41 insertions(+), 1 deletion(-)

commit 0a312d63b65bb9cb637b9f054e7f48180676c225
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Nov 19 12:06:50 2013 +0200

    server: Allow MediaServerPlugins to override search capabilities
    
    Use a virtual MediaServerPlugin.search_caps property instead of hard
    coding the value in ContentDirectory. This way plugin implementations
    can represent their search capabilities correctly.
    
    The default value is still the same: no change needed in plugins.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712660

 src/librygel-server/rygel-content-directory.vala   | 16 ++++++---------
 src/librygel-server/rygel-media-server-plugin.vala | 24 ++++++++++++++++++++++
 2 files changed, 30 insertions(+), 10 deletions(-)

commit c28afb99a6e37e5d2fe3a450309912e84f4b669b
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 17:10:37 2013 +0200

    all: Bump API and ABI version

 Makefile.am                                        |  8 +++----
 common.am                                          | 16 ++++++-------
 configure.ac                                       | 20 ++++++++---------
 doc/reference/doc-build.am                         |  4 ++--
 doc/reference/librygel-renderer-gst/Makefile.am    |  4 ++--
 doc/reference/librygel-renderer/Makefile.am        |  2 +-
 doc/reference/librygel-server/Makefile.am          |  2 +-
 rygel-core-2.0.pc.in                               | 15 -------------
 rygel-core-2.2.pc.in                               | 15 +++++++++++++
 rygel-renderer-2.0.pc.in                           | 12 ----------
 rygel-renderer-2.2.pc.in                           | 12 ++++++++++
 rygel-renderer-gst-2.0.pc.in                       | 12 ----------
 rygel-renderer-gst-2.2.pc.in                       | 12 ++++++++++
 rygel-server-2.0.pc.in                             | 14 ------------
 rygel-server-2.2.pc.in                             | 14 ++++++++++++
 src/librygel-core/Makefile.am                      | 26 +++++++++++-----------
 src/librygel-core/rygel-core-2.0.deps              |  4 ----
 src/librygel-core/rygel-core-2.2.deps              |  4 ++++
 src/librygel-renderer-gst/Makefile.am              | 26 +++++++++++-----------
 .../rygel-renderer-gst-2.0.deps                    |  2 --
 .../rygel-renderer-gst-2.2.deps                    |  2 ++
 src/librygel-renderer/Makefile.am                  | 24 ++++++++++----------
 src/librygel-renderer/rygel-renderer-2.0.deps      |  1 -
 src/librygel-renderer/rygel-renderer-2.2.deps      |  1 +
 src/librygel-server/Makefile.am                    | 24 ++++++++++----------
 src/librygel-server/rygel-server-2.0.deps          |  5 -----
 src/librygel-server/rygel-server-2.2.deps          |  5 +++++
 src/plugins/playbin/Makefile.am                    |  2 +-
 tests/Makefile.am                                  |  4 ++--
 29 files changed, 146 insertions(+), 146 deletions(-)

commit a77f2bdd06a6cba5158e473a36281a3803e1916c
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Sun Nov 24 00:46:49 2013 +0100

    build: support tracker 0.18
    
    https://bugzilla.gnome.org/show_bug.cgi?id=715089

 configure.ac | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9e0cced31ac92f406849c0296892434ff426fc13
Author: 甘 露 <rhythm.gan@gmail.com>
Date:   Sat Nov 23 21:56:39 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 323 +++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 222 insertions(+), 101 deletions(-)

commit 1698fa72c8ee04c1449ee4c23e6a9f3f9b9ec256
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 21 21:57:48 2013 +0100

    Updated Czech translation

 po/cs.po | 95 +++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 67 insertions(+), 28 deletions(-)

commit 3d8a0b28afa4c55158366c8a22a4f239ea892b60
Author: Jens Georg <mail@jensge.org>
Date:   Mon Nov 18 21:04:46 2013 +0100

    Prepare 0.21.1

 NEWS | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 950501ade6f98fbd569dcba0789d89fbeaf856c5
Author: Richard Röjfors <richard.rojfors@gmail.com>
Date:   Mon Nov 18 20:39:40 2013 +0100

    examples: Fix C renderer plugin
    
    Add new properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712336

 examples/renderer-plugins/C/example-player.c | 59 +++++++++++++++++++++++++++-
 1 file changed, 58 insertions(+), 1 deletion(-)

commit a49e943ff361978f18488770546978591699046c
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Oct 19 11:12:05 2013 +0200

    server: Support PV subtitles
    
    Support serving of external subtitles for devices that support the PV subtitle
    "standard", namely Panasonic TVs and the WD TV Live
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661228

 configure.ac                              |  2 +-
 src/librygel-server/rygel-video-item.vala | 20 ++++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 01de181d00b2b7496122a6b17d1b81b4d8cc3439
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Sat Nov 16 19:29:52 2013 +0200

    renderer: implement PlaybackStorageMedium variable
    
    PlaybackStorageMedium should be "NETWORK" when AVTransportURI
    refers to a resource received from the UPnP network. It should be
    NONE if AVTransportURI is not set.
    
    Also fix the LastChange value of PossiblePlaybackStorageMedium.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712517

 src/librygel-renderer/rygel-av-transport.vala | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit f032782dc6067445f8485235076f287a6814ab4a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Nov 11 21:15:15 2013 +0100

    Updated Polish translation

 po/pl.po | 35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 8cab0ca048af736008526f741b22e340cc1e7816
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Oct 30 14:45:50 2013 +0200

    renderer-gst: Enable more playspeeds
    
    Negative playspeeds do not seem to work with common formats, so they
    have not been enabled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710368

 .../rygel-playbin-player.vala                      | 31 ++++++++++++++++++----
 1 file changed, 26 insertions(+), 5 deletions(-)

commit 0347a67d128438dcce66b9ae8785c543c8ef6b1b
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Oct 22 14:05:49 2013 +0300

    renderer: Implement DLNA byte seeking
    
    Adds X_DLNA_GetBytePositionInfo() method, the required state variables
    and the missing SeekModes for Seek() to AVTransport2 implementation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710368
    https://bugzilla.gnome.org/show_bug.cgi?id=707058
    https://bugzilla.gnome.org/show_bug.cgi?id=707059
    https://bugzilla.gnome.org/show_bug.cgi?id=707541

 data/xml/AVTransport2.xml.in                       | 44 ++++++++++++
 .../renderer-plugins/vala/example-player-vala.vala | 18 +++++
 .../rygel-playbin-player.vala                      | 80 ++++++++++++++++++++--
 src/librygel-renderer/rygel-av-transport.vala      | 70 +++++++++++++++++--
 src/librygel-renderer/rygel-media-player.vala      | 18 ++++-
 src/librygel-renderer/rygel-player-controller.vala |  6 ++
 src/plugins/mpris/rygel-mpris-player.vala          | 25 +++++++
 7 files changed, 249 insertions(+), 12 deletions(-)

commit d9e52441582026bc20e1e08a37a9186cf283e079
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Oct 30 14:30:15 2013 +0200

    renderer: Add play_speed_to_double() to MediaPlayer
    
    This can be useful for all player implementations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710368

 src/librygel-renderer/rygel-media-player.vala | 19 ++++++++++++++
 src/plugins/mpris/rygel-mpris-player.vala     | 38 +++++----------------------
 2 files changed, 25 insertions(+), 32 deletions(-)

commit 610f35864eaf2575f7979dc2f93ec07316aedd60
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Oct 22 13:58:49 2013 +0300

    data: Remove allowedValueList from TransportPlaySpeed
    
    AVTransport2 TransportPlaySpeed state variable is allowed to have
    vendor specific values.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710368

 data/xml/AVTransport2.xml.in | 3 ---
 1 file changed, 3 deletions(-)

commit bea374723e36d0227b40a596f06c470346c8f935
Author: Jean-Baptiste Dubois <jean-baptiste.dubois@parrot.com>
Date:   Mon Nov 4 13:38:13 2013 +0100

    Add milliseconds support in Rygel.TimeUtils time to string conversion
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711399

 src/librygel-renderer/rygel-time-utils.vala | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 361ff5e65afa5a4630264a074b923c0326830993
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Fri Nov 8 15:29:25 2013 +0200

    renderer: Add Next and Previous to CurrentTransportActions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711661

 src/librygel-renderer/rygel-player-controller.vala | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit dbcd8aef606ef343b37f4be659d6df32462089fa
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Fri Nov 8 15:24:47 2013 +0200

    renderer: Accept missing mime type in AVTransport.is_playlist()
    
    "assertion 'mime != NULL' failed" is not useful here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711661

 src/librygel-renderer/rygel-av-transport.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41c78d89208a0b22eff85cfb34f5bfc7c38fae04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Nov 6 17:48:40 2013 +0100

    Updated Spanish translation

 po/es.po | 78 +++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 58 insertions(+), 20 deletions(-)

commit 41b8586f2f753da2e33aba49ce1d55ad825f7cf0
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Nov 6 16:55:50 2013 +0200

    Updated Greek translation

 po/el.po | 72 ++++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 54 insertions(+), 18 deletions(-)

commit eb01b85cdbf687a1b7a4f223ce6b3b4973f5e3d6
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Nov 2 11:17:20 2013 +0100

    build: Re-enable strict valac

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a278af81de4939fd41425d9fc49d744c352e1bb0
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Nov 2 11:16:38 2013 +0100

    all: Port to new libsoup API

 configure.ac                                              | 2 +-
 src/librygel-renderer/rygel-av-transport.vala             | 7 +++----
 src/librygel-server/rygel-import-resource.vala            | 2 +-
 src/plugins/mediathek/rygel-mediathek-root-container.vala | 6 +++---
 4 files changed, 8 insertions(+), 9 deletions(-)

commit 3d49d96fa6fb8cdb08991d7dfb740130731c9494
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Nov 2 20:12:23 2013 +0100

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 2 ++
 po/POTFILES.skip | 2 ++
 2 files changed, 4 insertions(+)

commit 969261619fa1a8916e7ae70dac78c1e0513ae2a8
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Oct 23 16:19:51 2013 +0300

    core: Add UPnP BasicManagement service support
    
    Add BasicManagement:2 service that contains a bunch of
    tools (Ping, NSLookup and Traceroute to start with). Service is
    useful for DLNA Diagnostics, and can be enabled on a
    plugin-by-plugin basis.
    
    See doc/README.BasicManagement for details.
    
    Commit was partly authored by Christophe Guiraud
    <christophe.guiraud@intel.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707831

 configure.ac                                       |   2 +-
 data/xml/BasicManagement2.xml.in                   | 418 ++++++++++++++++
 data/xml/Makefile.am                               |   1 +
 doc/README.BasicManagement                         |  24 +
 doc/man/rygel.conf.xml                             |  10 +
 src/librygel-core/Makefile.am                      |   1 +
 src/librygel-core/filelist.am                      |   5 +
 .../rygel-basic-management-test-nslookup.vala      | 360 ++++++++++++++
 .../rygel-basic-management-test-ping.vala          | 288 +++++++++++
 .../rygel-basic-management-test-traceroute.vala    | 340 +++++++++++++
 src/librygel-core/rygel-basic-management-test.vala | 260 ++++++++++
 src/librygel-core/rygel-basic-management.vala      | 538 +++++++++++++++++++++
 src/librygel-core/rygel-description-file.vala      |   4 +
 src/librygel-core/rygel-plugin.vala                |  20 +-
 14 files changed, 2269 insertions(+), 2 deletions(-)

commit d1f14660839ea7b7bca000de9782011fd03284d2
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Sep 10 11:13:12 2013 +0300

    doc: Re-organize rygel.conf man file
    
    Add a "Plugin-specific settings" section title and move it so that
    the plugin sections are directly below this section.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707831

 doc/man/rygel.conf.xml | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 2ef13ed033e97595b6f03d6ce5c8619e552ca67c
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Nov 2 11:19:14 2013 +0100

    todo: Remove useless item
    
    We can't drop MPEG2, we could just offer H.264 as well

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit 48fb80fe392824817f12bd81f05c80c0df7131d5
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Nov 1 22:35:47 2013 +0100

    build: Only compile, don't try to link

 m4/vala.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 077d832587e9e700946946732cafdb9029e2c1de
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Oct 31 21:01:01 2013 +0100

    Updated Slovenian translation

 po/sl.po | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit f1ee14d722de000c30eddc912c1a120f944398ec
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 31 01:39:38 2013 +0100

    Prepare 0.21.0

 NEWS | 125 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

commit 339522a6b61d65f6becb08994fde27c641159461
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 31 10:03:14 2013 +0100

    doc: Fix distcheck in docs

 common.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f9965e681ca62a4f150017681f8851e1986eb19b
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 31 01:48:12 2013 +0100

    server: Fix compile issue introduced with 6cccd5

 src/librygel-server/rygel-media-container.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a741c562e84507c2abff908e3f08e9c8ff4179d8
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 31 01:39:09 2013 +0100

    build: Minor fixes in autogen.sh
    
    Found by Mihai Moldovan <ionic@ionic.de>

 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7e87c4f8c3c970f7f383ae0da0dc7f6cf0705171
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Oct 31 14:38:37 2013 +0100

    Updated Spanish translation

 po/es.po | 123 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 80 insertions(+), 43 deletions(-)

commit d3631e321b106d47e6a3e9fd46149b53b6f68a8b
Author: Jean-Baptiste Dubois <jean-baptiste.dubois@parrot.com>
Date:   Fri Oct 25 15:23:20 2013 +0200

    server: Use base64url instead of base64
    
    Encoded base64 uris may have '/' chars which cause issues in function
    HTTPItemURI.from_string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710877

 src/librygel-server/rygel-http-item-uri.vala | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

commit 6cccd5a767ec6f871a3c25ef855cfe987fed10f5
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 29 14:23:25 2013 +0100

    server: Make MediaObject.serialize public
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709723

 src/librygel-server/rygel-content-directory.vala | 2 +-
 src/librygel-server/rygel-http-server.vala       | 2 +-
 src/librygel-server/rygel-media-object.vala      | 6 +++---
 src/librygel-server/rygel-serializer.vala        | 4 ++--
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 9134aa3bbcc8bf8cd230418bec42380131ada9fd
Author: Dimitis Spingos <dmtrs32@gmail.com>
Date:   Tue Oct 29 08:39:28 2013 +0200

    Updated Greek translation

 po/el.po | 310 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 191 insertions(+), 119 deletions(-)

commit 494b57f923d8842683a5312503a1962dc68eada3
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Oct 28 16:06:45 2013 +0100

    server: Fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710999

 src/librygel-server/rygel-http-item-uri.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f2556eed5f52fa19d72ddc6565667bb496fb3bc
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Oct 27 11:42:44 2013 +0100

    Bump glib requirement because of 9398caa6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3a5cfce84fd565f1aeb51dd564c6aff3307beed
Author: Tobias Endrigkeit <tobiasendrigkeit@outlook.com>
Date:   Sun Oct 27 01:58:05 2013 +0200

    Updated German translation

 po/de.po | 100 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 67 insertions(+), 33 deletions(-)

commit 0393186863f8eaeb2768ccf41a4c4f5cfc159aba
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 24 11:57:21 2013 +0200

    server: Fix message
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710781

 src/librygel-server/rygel-object-creator.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8b56c0b6cfe6355e63fa8f771757311f686c4c6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Oct 24 21:15:46 2013 +0200

    Updated Slovenian translation

 po/sl.po | 104 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 72 insertions(+), 32 deletions(-)

commit 0b0daa3d59ea0859509f56d0859353a959e6f04f
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sun Oct 20 19:17:21 2013 +0400

    Updated Russian translation

 po/ru.po | 89 +++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 60 insertions(+), 29 deletions(-)

commit b0435eb03e8d4a2d10624644a58757ef510430e0
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Oct 20 16:45:02 2013 +0200

    build: Drop strict vala because of deprecations

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3f7a99de51f54ceadb704ca48753cfd3d657033
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Oct 19 10:12:27 2013 +0200

    server: Use XML namespace instead of a string

 src/librygel-server/rygel-subtitle.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a6397aaa271a4dae661af58b0819787d68c06d8
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 17 14:49:39 2013 +0200

    build: Add some autogen shortcuts

 autogen.sh | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit a3276050e58b375de5eb1ba7c8a82a8d2f0e209e
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 17 14:28:03 2013 +0200

    renderer: Refactor ABS_TIME/REL_TIME seeking
    
    Re-unify the two codepaths and just add player position to the seek target
    when we're in REL_TIME mode.

 src/librygel-renderer/rygel-av-transport.vala | 25 +++++--------------------
 1 file changed, 5 insertions(+), 20 deletions(-)

commit 983cdc228a387b627d19b1a2201213e7fde6b53b
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 17 14:21:05 2013 +0200

    renderer: If media is not seekable, return 710
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710377

 src/librygel-renderer/rygel-av-transport.vala | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 6fece923c9c1008d719069b0771b85c2e8110fa7
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Oct 17 10:53:16 2013 +0300

    Updated Latvian translation

 po/lv.po | 144 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 68 insertions(+), 76 deletions(-)

commit 4b915419791115bfbd63d79d2b59701550d86ec1
Author: Jean-Baptiste Dubois <jean-baptiste.dubois@parrot.com>
Date:   Mon Oct 7 09:49:01 2013 +0200

    engine: Add large files (> 4GB) streaming support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709551

 configure.ac                                       |  2 +
 src/media-engines/simple/Makefile.am               |  1 +
 .../simple/rygel-simple-data-source.vala           | 43 +++++++++++++++++-----
 3 files changed, 36 insertions(+), 10 deletions(-)

commit 9da3ca39438f91c7e0fa7bc3192ae54449e41c62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Oct 14 20:13:30 2013 +0200

    Updated Polish translation

 po/pl.po | 66 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 23 deletions(-)

commit b69ebd495969af3d98b3d97e995bfad336f3b1c1
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Oct 14 15:42:50 2013 +0200

    Updated Czech translation

 po/cs.po | 71 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 47 insertions(+), 24 deletions(-)

commit 41328bff9522f76d3275ce12590809ff6cac44ac
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sun Oct 13 13:53:58 2013 +0200

    Updated Hungarian translation

 po/hu.po | 93 +++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 68 insertions(+), 25 deletions(-)

commit 910318f21353322a69463e1de7335a9d04d7a852
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Oct 11 11:13:24 2013 +0200

    core: Get MediaDevice port from MetaConfig
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709887

 src/librygel-core/rygel-media-device.vala | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 41a72af1761a49fbf7064300187550cd943ae3c0
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 10 13:05:30 2013 +0200

    examples: Simulate image rendering in vala example

 .../renderer-plugins/vala/example-player-vala.vala | 22 ++++++++++++++++++++++
 .../vala/example-renderer-plugin-vala.vala         |  9 +++++++++
 2 files changed, 31 insertions(+)

commit 9afc2f5630605298c762e90381663d2f7b37ac5a
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Oct 10 10:48:18 2013 +0200

    renderer: Lower ChangeLog timeout
    
    According to DLNA, 200ms is the upper bound of announcing changes caused by
    operations through a LastChange event. Since we used 200ms to aggregate
    multiple events, sometimes we sent out the LastChange event too late for the
    CTT. Moving it down to 150ms seems to improve CTT situation in timing fragile
    CTT tests.

 src/librygel-renderer/rygel-changelog.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e59b6678a7ea679a32be18bfcec5c7a0e119df6
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 8 15:33:09 2013 +0200

    renderer: Don't loop on image playlists
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707054

 src/librygel-renderer/rygel-player-controller.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 43f9516d5080a586cddcb61e34d1b217234578fb
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 8 13:13:04 2013 +0200

    server: Return proper contentFeatures for DIDL_S
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709627

 src/librygel-server/rygel-http-playlist-handler.vala | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit f458c7c9222fcb26e4d05d8b117ba6fa039a7d87
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Oct 9 02:23:51 2013 +0700

    Updated Indonesian translation

 po/id.po | 112 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 77 insertions(+), 35 deletions(-)

commit 5eac952e69d06b7d650a8b1cd6403f63b222eca7
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Oct 7 17:16:22 2013 +0200

    mpris: Ignore read-only MPRIS intstances

 src/plugins/mpris/rygel-mpris-interfaces.vala     | 1 +
 src/plugins/mpris/rygel-mpris-plugin-factory.vala | 7 +++++++
 2 files changed, 8 insertions(+)

commit 0f069f107b63c354fe043dc359e6d5333ffd854d
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Oct 7 17:16:02 2013 +0200

    mpris: Get can_seek information from peer

 src/plugins/mpris/rygel-mpris-interfaces.vala | 1 +
 src/plugins/mpris/rygel-mpris-player.vala     | 6 +++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a83d1837d03b8aa9c82b29dedd6433b9878ba32d
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Oct 7 16:57:56 2013 +0200

    mpris: Seek is always relative

 src/plugins/mpris/rygel-mpris-player.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34113f46a5bf3232a8112a00b4b3f9a3bc30c770
Author: Richard Röjfors <richard.rojfors@gmail.com>
Date:   Sat Oct 5 22:26:52 2013 +0200

    librygel-renderer: Allow underlying player to notify on volume changes
    
    Currently there is no notification support on volume.
    The last set value of the volume (via upnp) is cached in
    rygel-rendering-control. But if the volume of the underlying renderer can
    be changed in another way, for instance on a local UI. Such change is not
    picked up by rygel-rendering-control and any control point would not be
    aware of the volume change.
    
    This patch adds notification support for volume.
    
    Signed-off-by: Richard Röjfors <richard.rojfors@gmail.com>

 src/librygel-renderer/rygel-rendering-control.vala | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 82bfc8ddeac1cc775c3ba91f0120f49a73db0701
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Oct 7 10:20:00 2013 +0200

    examples: Simplify C renderer example

 examples/renderer-plugins/C/example-player.c | 136 +++++++++------------------
 1 file changed, 43 insertions(+), 93 deletions(-)

commit 120249ec85c4a9c2ff28f37f453e6c6f90676305
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Oct 6 22:17:15 2013 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 901 +++++++++++++++++++++++++++++++++---------------------
 1 file changed, 557 insertions(+), 344 deletions(-)

commit 237b22828ecf23db5c450580983f4993957830e1
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Oct 6 21:36:42 2013 +0200

    [l10n] Update Catalan translation

 po/ca.po | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit 9bf00c87df1824c1f538b147d6c06eddda4785a3
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sun Oct 6 12:33:59 2013 +0400

    Updated Russian translation

 po/ru.po | 95 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 61 insertions(+), 34 deletions(-)

commit 19635c278317ab377ac47ea163291dd4fdc377c1
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Oct 5 17:09:03 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 68 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 39 insertions(+), 29 deletions(-)

commit 5bae0094631643b789bd14b8c2923a5b5d70d272
Author: Claudio Arseni <claudio.arseni@ubuntu.com>
Date:   Sat Oct 5 15:09:23 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 67 ++++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 46 insertions(+), 21 deletions(-)

commit 09e444b90eaab6d589abf7d14871a6000c12947e
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Oct 5 08:01:12 2013 +0200

    ui: Fix tooltips in network section
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709287

 data/rygel-preferences.ui | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f9136666ff5786d9f9fe0f67dfd17de582da4fe3
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed Oct 2 19:11:59 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 56 ++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 34 insertions(+), 22 deletions(-)

commit 7a6dc8261683c933aac46b5ebbab44ad1ddcc2c3
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Oct 2 13:36:12 2013 +0200

    tests: Also use new libsoup vapi

 tests/rygel-http-get-test.vala      | 32 ++++++++++++++++----------------
 tests/rygel-http-item-uri-test.vala | 10 +++++-----
 tests/rygel-http-post-test.vala     | 18 +++++++++---------
 tests/rygel-http-response-test.vala |  6 +++---
 4 files changed, 33 insertions(+), 33 deletions(-)

commit 91737e2c37ad8a68a929065e59c004e551e4e405
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Oct 2 13:35:48 2013 +0200

    tests: Fix compiling with fixed .deps file

 tests/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 6bc852257ab6df7d92e9eddcf98edabfefdb601d
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 17:18:03 2013 +0200

    renderer-gst,playbin: Use proper GStreamer version

 src/librygel-renderer-gst/rygel-renderer-gst-2.0.deps | 2 +-
 src/plugins/playbin/Makefile.am                       | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit b6bcc8ce8b7160c652be11ece47e6ad7e815eea8
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Oct 2 10:08:35 2013 +0200

    Updated Czech translation

 po/cs.po | 85 ++++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 51 insertions(+), 34 deletions(-)

commit 8f6d11627bfb11662bf09a47eeaef43c9d2dcba0
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Oct 1 18:59:17 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 67 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 41 insertions(+), 26 deletions(-)

commit 78c7a6ea7d84caa05b4bb77962db88519065aadc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Oct 1 17:26:29 2013 +0200

    Updated Polish translation

 po/pl.po | 56 ++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 34 insertions(+), 22 deletions(-)

commit 9060f45626ea4b17c4072bb8a352c36a93272fad
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 16:29:42 2013 +0200

    renderer-gst: Remove invalid DLNA profile
    
    MPEG_TS_HD_EU_ISO does not exist

 src/librygel-renderer-gst/rygel-playbin-player.vala | 3 ---
 1 file changed, 3 deletions(-)

commit ada9b808088d9c279db3d668bf3a7cf6ed4548eb
Author: Fionn Cleary <fcleary@netsoc.tcd.ie>
Date:   Fri Sep 20 15:36:51 2013 +0200

    Fix AbsoluteCounterPosition to match UPnP spec
    
    UPnP AV Transport Specification v1.01 states that the
    AbsoluteCounterPosition state variable is a signed value, where as the
    xml document has it as an unsigned value.  Rygel stores the
    AbsoluteCounterPosition internally as an signed value.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709190

 data/xml/AVTransport2.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c39d231d0b00fae16ffe2ab513918f9e30087b2c
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 13:08:04 2013 +0200

    renderer: Set track info for non-http uris
    
    (Partially) fixes 7.3.53.2
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709170

 src/librygel-renderer/rygel-av-transport.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 878af484413e11c15eca8b46ee3b89539efa0938
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Oct 1 12:41:54 2013 +0200

    renderer: Minor doc fix

 src/librygel-renderer/rygel-media-player.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit abbcbac25a732563670f74e6186440ed9e5579b0
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 30 12:27:55 2013 +0200

    renderer: Set PossiblePlaybackStorageMedia
    
    "None" and "Network" are mandatory according to 7.3.104.7
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677405

 data/xml/AVTransport2.xml.in                  | 4 ++++
 src/librygel-renderer/rygel-av-transport.vala | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 3e302aad893ee410552b4ef6b89ea430a63888d3
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 30 11:56:02 2013 +0200

    renderer: Fix minor style issues

 src/librygel-renderer/rygel-time-utils.vala | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit a790174e83682fbeccbd79c50221ba9abb7c3a3f
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 30 11:25:17 2013 +0200

    renderer-gst: Check seek target
    
    The seek call on playbin doesn't fail when seeking beyond the end of the file
    and just switches to EOS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709077

 src/librygel-renderer-gst/rygel-playbin-player.vala | 6 ++++++
 1 file changed, 6 insertions(+)

commit 28890320b532bc191b6197d22ba960770d634117
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 30 11:23:55 2013 +0200

    renderer: Use proper error-code on wrong seek
    
    We were using 710 (Illegal seek mode) instead of the correct 711 (Illegal
    seek target)
    
    This fixes 7.3.157.9
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709077

 src/librygel-renderer/rygel-av-transport.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8f83078d7220a352fe623bbebffede990f0dfb87
Author: Milan Plzik <milan.plzik@gmail.com>
Date:   Wed Sep 11 00:33:18 2013 +0200

    renderer: Fix seeking behavior when using REL_TIME
    
    Signed-off-by: Milan Plzik <milan.plzik@streamunlimited.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686628

 src/librygel-renderer/rygel-av-transport.vala | 16 +++++++++++++++-
 src/librygel-renderer/rygel-time-utils.vala   | 26 +++++++++++++++++++++++---
 2 files changed, 38 insertions(+), 4 deletions(-)

commit 2174c749983836bac60a175c81c815641a63ff31
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Sep 29 13:30:14 2013 +0200

    build: Rename --enable-valadoc to --enable-apidocs

 configure.ac | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 964ab57cff99bc53b0ccd6a9d01efaeadc93216b
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Sep 29 12:30:59 2013 +0200

    build: Make missing gtk-doc non-fatal
    
    Only fail if gtk-doc is missing when doc generation was requested explicitly
    via --enable-valadoc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692509

 configure.ac | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit b297ef1b0686e95dc1d4f41bb79d489625508640
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Sep 28 17:55:20 2013 +0200

    media-export: Fix GstDiscoverer error handling
    
    The code was ported from old GUPnPDLNADiscoverer code under the assumption
    that the error handling is the same (a bitfield), but it isn't.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704317

 .../rygel-media-export-metadata-extractor.vala        | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit bba7f90c1982630432af16d2b48456f740fba1f3
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Sep 28 13:03:26 2013 +0200

    rygel: Mark string translatable

 src/rygel/rygel-main.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de90ebc44e59c8d195f838eb4ad70b44e1038a67
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Sep 28 12:55:37 2013 +0200

    all: Port to new libsoup vapi

 configure.ac                                               |  2 +-
 src/librygel-renderer/rygel-av-transport.vala              | 10 +++++-----
 src/librygel-server/rygel-http-get.vala                    | 10 +++++-----
 src/librygel-server/rygel-http-post.vala                   |  6 +++---
 src/librygel-server/rygel-http-request.vala                | 12 ++++++------
 src/librygel-server/rygel-http-response.vala               | 12 ++++++------
 src/librygel-server/rygel-http-seek.vala                   |  4 ++--
 src/librygel-server/rygel-import-resource.vala             |  7 +++----
 src/plugins/mediathek/rygel-mediathek-playlist-parser.vala |  2 +-
 src/plugins/mediathek/rygel-mediathek-rss-container.vala   |  2 +-
 10 files changed, 33 insertions(+), 34 deletions(-)

commit 9ba519eed28e67219c4513eb64145eb79569fcb1
Author: victory <victory.deb@gmail.com>
Date:   Mon Sep 23 22:03:05 2013 +0900

    l10n: Update Japanese translation

 po/ja.po | 1066 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 744 insertions(+), 322 deletions(-)

commit 1a87faec290866bbcde2d59e755cc3ace4f8025d
Author: Josep Sànchez <papapep@gmx.com>
Date:   Mon Sep 23 00:07:28 2013 +0200

    [l10n] Update Catalan translation

 po/ca.po | 879 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 534 insertions(+), 345 deletions(-)

commit ad0abac269088fac87c5374550a96dfe0e5a78c6
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sat Sep 21 19:56:14 2013 +0200

    Updated Hungarian translation

 po/hu.po | 28 +++++++++-------------------
 1 file changed, 9 insertions(+), 19 deletions(-)

commit 4a2f6e58382e9570cbfa74b0c177efbdd1b64ccc
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Sep 20 19:00:06 2013 +0200

    Updated Basque language

 po/eu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67241e1cd8ffff2eac432f9fd1eea5f6406c7677
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Sep 20 18:58:49 2013 +0200

    Updated Basque language

 po/eu.po | 27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

commit 9b5b8700e3bc1030a198d1a183ace3e618341efa
Author: Benjamin Steinwender <b@stbe.at>
Date:   Fri Sep 20 18:49:11 2013 +0200

    Updated German translation

 po/de.po | 94 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 48 insertions(+), 46 deletions(-)

commit c3292a31c4c331ecb2afeaf0ccd80837804735b1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Sep 19 14:24:52 2013 +0200

    Updated Basque language

 po/eu.po | 32 ++++++++++----------------------
 1 file changed, 10 insertions(+), 22 deletions(-)

commit 6d83bdeffb33bce7d42a5b55fe2944299332bead
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 18 23:00:49 2013 +0200

    Updated Basque language

 po/eu.po | 812 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 576 insertions(+), 236 deletions(-)

commit fcee5fd886b7bf1977541a94f16a0692b70fecbb
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 17 00:37:11 2013 +0200

    Updated Hungarian translation

 po/hu.po | 821 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 569 insertions(+), 252 deletions(-)

commit 8d4fb098adaf9162de232f42ab1ce86aa49ef18f
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 16 22:33:38 2013 +0200

    Prepare 0.19.7

 NEWS | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit c35b6599576b7c1ddf5b557185ef4630414cd238
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Aug 17 09:56:35 2013 +0200

    media-export: Properly clean-up database on start-up
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701934

 src/plugins/media-export/rygel-media-export-root-container.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 4b8cc9cda1b46d3f85c4d43176b8945bb9f241b4
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 16 17:09:26 2013 +0200

    renderer: Initialize mute state from player
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677552

 src/librygel-renderer/rygel-rendering-control.vala | 1 +
 1 file changed, 1 insertion(+)

commit bc8eeae636cd257e3ab223f55fad06e29c16386c
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Sep 16 17:09:03 2013 +0200

    rygel: Print version number on startup

 src/rygel/rygel-main.vala | 2 ++
 1 file changed, 2 insertions(+)

commit 979e104563184f34ebbb09ba698c1016a7800c53
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 15 18:47:19 2013 +0200

    Updated Danish translation

 po/da.po | 769 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 550 insertions(+), 219 deletions(-)

commit 53c8faff4eb26dd1828f4a83f922889260ff497d
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 14 21:10:39 2013 +0900

    Updated Korean translation

 po/ko.po | 806 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 525 insertions(+), 281 deletions(-)

commit 72e529dcccc2f9bdc69d648523d6a7e60e6078ff
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Sep 12 11:54:33 2013 +0200

    renderer: Add missing , in protocol info
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706978

 src/librygel-renderer/rygel-media-renderer-plugin.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1d300175f97c52beeca86b466915e4b0cba5e57d
Author: Milan Plzik <milan.plzik@streamunlimited.com>
Date:   Thu Sep 12 12:07:20 2013 +0200

    player: Fix transport actions
    
    Report correct transport actions for STOPPED and PAUSED state
    
    Signed-off-by: Milan Plzik <milan.plzik@streamunlimited.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707962

 src/librygel-renderer/rygel-player-controller.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 114213d8d8faf98130022a8f0f6832b56c03fff5
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Thu Sep 12 14:25:03 2013 +0100

    Updated British English translation

 po/en_GB.po | 783 ++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 546 insertions(+), 237 deletions(-)

commit 57211e20ef5f11e5c00031620a51e73c28d8128a
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 12 10:16:30 2013 +0300

    Updated Latvian translation

 po/lv.po | 841 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 590 insertions(+), 251 deletions(-)

commit 86b090e7a24f77aeec0b802ed9b5a0852aac2139
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 11 21:09:57 2013 +0200

    Updated Slovenian translation

 po/sl.po | 99 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 52 insertions(+), 47 deletions(-)

commit 99a73ce9ab9a64db039c3018a7ff04d56282a39d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 10 22:00:47 2013 +0200

    Updated Serbian translation

 po/sr.po       | 794 +++++++++++++++++++++++++++++++++++++++++----------------
 po/sr@latin.po | 794 +++++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 1140 insertions(+), 448 deletions(-)

commit a258d002d41fc2e6af327ec6069302c0935fb319
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Sep 9 20:42:01 2013 +0200

    Updated Slovenian translation

 po/sl.po | 94 +++++++++++++++++++++++++---------------------------------------
 1 file changed, 36 insertions(+), 58 deletions(-)

commit 3e00dbfea65e5ac60f4197a780180035ef772d02
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Sep 9 22:55:37 2013 +0700

    Updated Indonesian translation

 po/id.po | 173 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 110 insertions(+), 63 deletions(-)

commit e11037e447641f68c73ecb81ecf6f865fe094274
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Sep 8 19:34:57 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit a511b273ec33783bc256606fa98241bc1e50bba8
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sat Sep 7 20:31:47 2013 +0300

    Finnish translation update by Jiri Grönroos

 po/fi.po | 809 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 585 insertions(+), 224 deletions(-)

commit 419efba9223f34105855b7be0f899618be59f333
Author: Dmitriy S. Seregin <dseregin@59.ru>
Date:   Sat Sep 7 10:42:57 2013 +0400

    Updated Russian translation

 po/ru.po | 193 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 105 insertions(+), 88 deletions(-)

commit 1f7349be29dcd4ddb6f3dc95bcf0ec0db3ca6774
Author: Claudio Arseni <claudio.arseni@ubuntu.com>
Date:   Tue Sep 3 18:33:36 2013 +0200

    [l10n] Updated Italian translation.

 po/it.po | 771 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 542 insertions(+), 229 deletions(-)

commit d650f4e7d37d5d24160eec8c29a7da38069f731c
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Sep 3 15:15:07 2013 +0200

    Prepare 0.19.6

 NEWS | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit b2ac495aa4f173dc8036f045c50fce5e5ce6b140
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Sep 3 10:49:39 2013 +0200

    media-export: Fix unowned variable assignment

 src/plugins/media-export/rygel-media-export-item-factory.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit faa7ec85a9832193ddab50a74ad986da8592b426
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Sep 3 10:35:17 2013 +0200

    server: No OCM flags checking for CreateReference
    
    There's no DLNA guidelines for reference creation, however if a container only
    supports reference creation such as MediaExport's playlist containers, it
    mustn't have the UPLOAD OCM flag set.
    
    So we just check for writable container and let the creation fail later on in
    the container if it's not allowed to have references there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707065

 src/librygel-server/rygel-reference-creator.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 0d2159a7a59fad250e02f039b38d4fa8a7c8e211
Author: Reynaldo H. Verdejo Pinochet <reynaldo@collabora.com>
Date:   Fri Aug 30 13:18:25 2013 -0400

    Buildsystem: Drop harcoded -shared -fPIC flags
    
    This fix gets around a libtool's "cannot build a shared library"
    error when crosscompiling/linking media-engine-simple with
    Android's NDK r8e toolchain. These flags are being correctly
    handled by auto*/libtool (as they probably should).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707146

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25888576a96482352a686d06e28c96f9cd302f95
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Aug 29 18:41:15 2013 +0200

    Updated Slovenian translation

 po/sl.po | 737 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 495 insertions(+), 242 deletions(-)

commit 839a3d0849a242fe7a3879bdb1b094cc1bfd56ee
Author: Regis Merlino <regis.merlino@intel.com>
Date:   Tue Aug 27 11:05:58 2013 +0200

    server: Fix upload profiles
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706797

 src/librygel-server/rygel-media-server-plugin.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9c8cc3c37813890c23c0d86811d1e6cedd62e69
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 27 23:16:52 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 77 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 37 insertions(+), 40 deletions(-)

commit 542dc1e80c6d84ded4b70919c9e033da39d89e5e
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 26 13:24:45 2013 +0200

    Update French translation

 po/fr.po | 259 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 106 insertions(+), 153 deletions(-)

commit 515dc400d12d78cad3a9b4a923559c35aa573892
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 26 12:36:52 2013 +0200

    Update French translation

 po/fr.po | 815 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 599 insertions(+), 216 deletions(-)

commit beb64f42dd7bce4474da2d2723e17a5b77bc0fa0
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:   Wed Aug 21 20:34:24 2013 +0200

    renderer-gst: Make variable unowned
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706525

 src/librygel-renderer-gst/rygel-playbin-player.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f20b047e1ee03c3a282d3409b0d058f566e02742
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 22 15:49:22 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 75 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 42 insertions(+), 33 deletions(-)

commit 51b879c61a2abd9b889a7f69d379ef5e25fdeea0
Author: Funda Wang <fundawang@gmail.com>
Date:   Wed Aug 21 11:59:08 2013 +0800

    fix zh_CN desktop translation

 po/zh_CN.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70d273b5ebe884067ff5ad4ca2a95f1bc2d6f904
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Aug 20 23:16:48 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 187 ++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 125 insertions(+), 62 deletions(-)

commit 6e89cae2d492e1f5df386e12a96a6daf8f16472f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 21 01:29:45 2013 +0200

    Updated Polish translation

 po/pl.po | 701 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 498 insertions(+), 203 deletions(-)

commit 733be1c8e09ac640f6638039ea542a8dc62a12ba
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 21 01:19:40 2013 +0200

    Updated Galician translations

 po/gl.po | 134 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 87 insertions(+), 47 deletions(-)

commit 540620cc8985b330f927146a5abadbbaa52121ea
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 20 21:32:48 2013 +0200

    Prepare 0.19.5

 NEWS | 104 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 104 insertions(+)

commit 114343e2295faa302b02a6112a59b652cc5a7f82
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 20 21:51:25 2013 +0200

    tests: Add missing symlinks

 tests/rygel-logical-expression.vala     | 1 +
 tests/rygel-search-criteria-parser.vala | 1 +
 2 files changed, 2 insertions(+)

commit a753a7c89fb6a24a68636124f7fe934ec599e1d7
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 20 21:07:08 2013 +0200

    test: Adapt ObjectCreator test

 src/librygel-server/rygel-object-creator.vala |  2 +-
 tests/Makefile.am                             |  3 +-
 tests/rygel-media-engine.vala                 |  1 -
 tests/rygel-object-creator-test.vala          | 44 ++++++++++++---------------
 4 files changed, 22 insertions(+), 28 deletions(-)

commit d0cc26858eedc6d3f108ef74539e814f7118a23d
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Aug 17 09:55:58 2013 +0200

    media-export: Check contains argument
    
    Prevent a critical when running "contains" search on nullable columns.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706182

 src/plugins/media-export/rygel-media-export-database.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit aa5e9919a2100002019f2b427f140e974d0ea230
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Aug 17 09:37:29 2013 +0200

    media-export: Fix fall-back search recursion
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706058

 .../rygel-media-export-leaf-query-container.vala   |  9 +++--
 .../rygel-media-export-query-container.vala        | 43 +++++-----------------
 2 files changed, 14 insertions(+), 38 deletions(-)

commit cd76ae5f545c5489f2dcd35486ba0a994add947d
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Aug 17 09:04:44 2013 +0200

    media-export: Remove container-search hack
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706059

 .../rygel-media-export-media-cache-upgrader.vala   | 24 ++++++++-
 .../rygel-media-export-media-cache.vala            | 57 ++++++++++++++--------
 .../rygel-media-export-sql-factory.vala            |  2 +-
 3 files changed, 60 insertions(+), 23 deletions(-)

commit a377fbc8f8d03ce17568031e393284ff8f098520
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 19 19:45:22 2013 +0200

    Updated POTFILES.in and POTFILES.skip

 po/POTFILES.in   | 1 +
 po/POTFILES.skip | 1 +
 2 files changed, 2 insertions(+)

commit 6444f98a7db0575dcc4843170967a44505f19ded
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 16 17:15:11 2013 +0200

    data: Remove unused state variables
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706143

 data/xml/AVTransport2.xml.in | 25 -------------------------
 1 file changed, 25 deletions(-)

commit 4ccd7a8a89b4858812a6971ab96fc913776310fd
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 16 16:48:42 2013 +0200

    data: Add X_DLNADOC node to device description
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706142

 data/xml/MediaRenderer2.xml.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 373feccc61419f2fe08581e8d197cef0c7404f6d
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 15 13:44:15 2013 +0200

    renderer,renderer-gst: Get profiles from renderer
    
    Let the renderer return a list of supported DLNA profiles.
    
    To not break ABI/API we duplicate DLNAProfiles from server; needs to be moved
    to core in next unstable cycle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699698

 .../rygel-playbin-player.vala                      | 68 +++++++++++++++++++++-
 src/librygel-renderer/filelist.am                  |  1 +
 src/librygel-renderer/rygel-dlna-profile.vala      | 44 ++++++++++++++
 .../rygel-media-renderer-plugin.vala               | 42 ++++++++++++-
 src/plugins/playbin/rygel-playbin-plugin.vala      |  5 ++
 5 files changed, 158 insertions(+), 2 deletions(-)

commit 12c0d992519b5e4d3ac7cc142120cd7bf0771f8c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 19 12:08:15 2013 +0200

    Updated Spanish translation

 po/es.po | 940 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 521 insertions(+), 419 deletions(-)

commit d451d31e0d01d1d777faf5b103c60598b637fdda
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 19 12:02:11 2013 +0200

    Updated Spanish translation

 po/es.po | 940 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 421 insertions(+), 519 deletions(-)

commit 27b8eb1e0048f493510f0831aace70006a87a1df
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 9 13:17:24 2013 +0200

    server: Move knowledge of supported profiles
    
    Query the supported profiles (all, upload) from the MediaServerPlugin,
    provide a default implementation that does return everything from the
    profiles supported by the MediaEngine.
    
    Note: This is done via properties in this slightly complicated manner to not
    break ABI this late in the cycle. Ideally it should be abstract/virtual
    properties or abstract/virtual functions.

 src/librygel-server/rygel-content-directory.vala   |  4 +-
 src/librygel-server/rygel-media-server-plugin.vala | 54 ++++++++++++++++++++++
 src/librygel-server/rygel-object-creator.vala      |  3 +-
 .../rygel-source-connection-manager.vala           |  4 +-
 4 files changed, 60 insertions(+), 5 deletions(-)

commit a323d80c3abb1a2dbf079ffb37116fe7f77af8db
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 9 12:57:43 2013 +0200

    server: Add X_GetDLNAUploadProfiles call

 data/xml/ContentDirectory-NoTrack.xml.in         | 28 ++++++++++++++-
 data/xml/ContentDirectory.xml.in                 | 26 ++++++++++++++
 src/librygel-server/rygel-content-directory.vala | 43 ++++++++++++++++++++++++
 3 files changed, 96 insertions(+), 1 deletion(-)

commit 28db7f7b43d1d07989414fae9937b9bce9967dc1
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Thu Jun 13 08:25:44 2013 -0600

    server: UPnP errorcode - Unimplemented action
    
    Unimplemented action must return 602
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705587

 src/librygel-server/rygel-writable-container.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98fffe963b8fe7014faf47b844fa93987fbccd2e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Aug 16 13:31:29 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 78 +++++++++++++++++++++++++++++++++++++------------------------
 po/zh_TW.po | 78 +++++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 94 insertions(+), 62 deletions(-)

commit 358c6d8fa5efab80a5895082f95a7a5989e82502
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Aug 15 18:09:00 2013 +0200

    Updated Czech translation

 po/cs.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 4b2c0f5127eb0026f32cbcf42c44f45538169219
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 15 12:30:12 2013 +0200

    core,server: Fix accidental file move

 src/librygel-core/rygel-dlna-profile.vala   | 44 ----------------------------
 src/librygel-server/rygel-dlna-profile.vala | 45 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 44 deletions(-)

commit be20dc1cc8bb7bf455b38117d8a6ebfab5ab4d25
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 15 12:26:24 2013 +0200

    external: Simplify and fix translatable message
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705899

 src/librygel-core/rygel-dlna-profile.vala          | 44 +++++++++++++++++++++
 src/librygel-server/rygel-dlna-profile.vala        | 45 ----------------------
 .../external/rygel-external-variant-util.vala      | 33 ++++++++++------
 3 files changed, 65 insertions(+), 57 deletions(-)

commit 17af04dda27e14da33b74465cd7ca9d614788dba
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Wed Aug 14 22:53:14 2013 +0200

    Updated German translation

 po/de.po | 154 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 101 insertions(+), 53 deletions(-)

commit 233aa350fa6dca9a28a561593feabbfa33a3bae3
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Aug 14 19:19:30 2013 +0200

    Updated Czech translation

 po/cs.po | 55 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 24 deletions(-)

commit d842988427e76712cc791f350a1365e51d6b1068
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 14 14:14:13 2013 +0200

    Updated Spanish translation

 po/es.po | 71 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 40 insertions(+), 31 deletions(-)

commit c67b189ab4ebfff8f0ba380dac0bbfccd9e7b67c
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Aug 13 20:14:34 2013 +0200

    Updated slovak translation

 po/sk.po | 765 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 468 insertions(+), 297 deletions(-)

commit c5db41e0aae126b15fc1244ec6ded5af4078c14e
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 13 12:56:38 2013 +0200

    server: Minor style fixes

 src/librygel-server/rygel-media-query-action.vala | 4 ++--
 src/librygel-server/rygel-search.vala             | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e2d14b17c3f2ad7c8b3e5c2385d42cac3ef85bdb
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Sat Aug 3 14:17:48 2013 -0600

    server:Fixing UPnP Error codes for Browse/Search
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705576

 src/librygel-server/rygel-content-directory.vala  |  1 +
 src/librygel-server/rygel-media-query-action.vala | 16 ++++++++++++++--
 src/librygel-server/rygel-search.vala             |  3 ++-
 3 files changed, 17 insertions(+), 3 deletions(-)

commit 0984169789698d5c038a5ce1230e2ea2328eb9fc
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 13 11:26:02 2013 +0200

    media-engine: Prevent structure copying

 src/media-engines/gstreamer/rygel-gst-utils.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c3b62fda27685f47c016f28b84be68aa412769e4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 9 18:43:53 2013 +0200

    Updated Polish translation

 po/pl.po | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 502ba91656fe77e23a67edb8abfe2b97e22b81cb
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 9 14:55:00 2013 +0200

    media-export: Set proper OCM flags for playlists

 .../media-export/rygel-media-export-playlist-container.vala | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 617bf6f15a84fdad153c64e7da7c93f482151003
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Aug 9 14:16:23 2013 +0200

    Updated Czech translation

 po/cs.po | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 29dec46beb87c026457ba35fa7586e88a4b480e0
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 8 22:07:32 2013 +0200

    media-export: Use fall-back search for @refID
    
    Fixes DLNA TC 7.3.66.3,4
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702253

 .../media-export/rygel-media-export-leaf-query-container.vala     | 2 +-
 src/plugins/media-export/rygel-media-export-media-cache.vala      | 3 ---
 src/plugins/media-export/rygel-media-export-query-container.vala  | 8 ++++++--
 3 files changed, 7 insertions(+), 6 deletions(-)

commit ee7007626483f26b0e3ca2ece8d14a355a9ca55f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 8 21:46:10 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 34a203cf94991add7511aac460f16c0002bb03f4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 8 21:44:43 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 132 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 85 insertions(+), 47 deletions(-)

commit e6b22b4c716262336706257407895e9858d1cb6c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Aug 8 22:39:43 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 219 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 132 insertions(+), 87 deletions(-)

commit 147700944c84c7d5abc5b4496726d8e7d9f8d5eb
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 8 13:31:47 2013 +0200

    media-export: Fix potential crasher
    
    The data passed to the collation function is not null-terminated so we
    make sure it is now. There is no additional copying involved, the code
    was doing g_strdup implicitly anyway before.

 .../media-export/rygel-media-export-collate.c      | 27 +++++++++++++++-------
 .../media-export/rygel-media-export-database.vala  |  7 ++----
 2 files changed, 21 insertions(+), 13 deletions(-)

commit 3dceafbd13e2a89dc28e61f449f07b98e69073e9
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Aug 8 10:53:42 2013 +0200

    media-export: Add warning if child-count fails.

 src/plugins/media-export/rygel-media-export-leaf-query-container.vala | 3 +++
 1 file changed, 3 insertions(+)

commit 8e9a7b8b9a07aef0f3447b28ab8d5552a3fe6c08
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Aug 8 11:16:40 2013 +0200

    Updated Spanish translation

 po/es.po | 154 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 92 insertions(+), 62 deletions(-)

commit 05c97eee4d8bfc69c2e4d83f3991a9f4c2e8d857
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Aug 7 13:09:24 2013 +0200

    media-export: Fix virtual containers
    
    Final fix. Add dummy columns from sorting to union as well to not break the
    "All" container use-case.
    
    Hopefully that's the final fix now

 .../rygel-media-export-media-cache.vala            | 31 +++++++++++++++-------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit 2d51378023b4829ff03900afb4ede3572a876e36
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Aug 7 11:31:22 2013 +0200

    media-export: Fix virtual containers

 src/plugins/media-export/rygel-media-export-media-cache.vala          | 1 +
 src/plugins/media-export/rygel-media-export-node-query-container.vala | 2 ++
 2 files changed, 3 insertions(+)

commit 9b23a570a7be619ac625bbb22628fc2dac9e2a58
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Aug 7 13:41:54 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 85 ++++++++++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po | 85 ++++++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 102 insertions(+), 68 deletions(-)

commit 0276127384f805cba88fb7454729ffe8fc0de076
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Aug 6 21:02:37 2013 +0200

    Updated Czech translation

 po/cs.po | 89 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 55 insertions(+), 34 deletions(-)

commit 9b48586af250aef7769a1289daa9992c42023089
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 6 15:03:11 2013 +0200

    server: Try harder to find compatible container
    
    Just grabbing the first container and then validate the create classes
    doesn't really work; we search for compatible create classes right away.
    
    Fixes issue introduced with 3fae8be1 if MediaExport has virtual folders
    enabled.

 src/librygel-server/rygel-object-creator.vala | 45 ++++++++++++++++++++++++++-
 1 file changed, 44 insertions(+), 1 deletion(-)

commit 471708c90dc7fe3ea1cfb1ff2629d18527bedf98
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 6 11:51:38 2013 +0200

    server: Report missing filter in Browse

 src/librygel-server/rygel-media-query-action.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 2728cfb2265c4a0054746039c0616d6532460a1c
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Aug 6 10:43:50 2013 +0200

    server: Dequeue item upon manual removal
    
    If the client creates an object in DLNA.ORG_AnyContainer but doesn't
    upload anything to it and then removes it within the 35s timeout, the
    ObjectRemovalQueue would still trigger and cause criticals.
    
    This change just tries to dequeue everything we remove to fix this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702633

 src/librygel-server/rygel-item-destroyer.vala | 2 ++
 1 file changed, 2 insertions(+)

commit 03811443252b8c4f592a957ff5bf08d66a5d5717
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 15:03:35 2013 +0200

    core,server: Use proper error codes
    
    There are several places where the wrong error code was used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702452

 src/librygel-core/rygel-connection-manager.vala   |  9 +++---
 src/librygel-server/rygel-content-directory.vala  | 38 +++++++++++++++++------
 src/librygel-server/rygel-import-resource.vala    | 17 +++++-----
 src/librygel-server/rygel-media-query-action.vala |  4 +--
 src/librygel-server/rygel-object-creator.vala     |  4 +--
 5 files changed, 45 insertions(+), 27 deletions(-)

commit 43aea6cc3f182810924a19ef8682190eda6bef4d
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 13:41:54 2013 +0200

    media-export: Emit containerUpdateID on playlist
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703135

 .../media-export/rygel-media-export-playlist-root-container.vala        | 2 ++
 1 file changed, 2 insertions(+)

commit 9398caa653f909de3fe7e442f713124ae9e64187
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 13:16:28 2013 +0200

    media-export: Implement recursive container removal
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703135

 .../rygel-media-export-trackable-db-container.vala         |  2 +-
 .../rygel-media-export-writable-db-container.vala          | 14 +++++++++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 8c91e63584e8ad0cccc13ffc1bfd3564a0bfd7aa
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 13:04:19 2013 +0200

    server: Fix file header

 src/librygel-server/rygel-trackable-container.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 331626c4c12ee4178d6cd0d25dcb1eaf17e0353c
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 13:02:34 2013 +0200

    server: Fix recursive removal of items
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703135

 src/librygel-server/rygel-trackable-container.vala | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit c839a8ae055ca7af26a3494decb666a5962864f0
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 6 19:54:12 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 76 +++++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po | 76 +++++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 88 insertions(+), 64 deletions(-)

commit 35aedc3ed33cad7300d93f97112a0048f5d52c51
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 16:53:06 2013 +0200

    media-export: Fix crash on item removal
    
    MediaCache.get_object can return null if the object wasn't found in the
    cache. On certain conditions this can happen while uploading (removal
    queue vs. manual remove from client). Take this into account and just
    warn instead of crash.
    
    This isn't the proper fix for the issue but at least it stopps Rygel from
    crashing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702633

 .../media-export/rygel-media-export-writable-db-container.vala     | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f403e15e511e2aa55f27ef9e53032bd41ce603a5
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Aug 5 16:39:51 2013 +0200

    media-export: Fix sort-criteria in virtual folders
    
    Looks like SQLite can only sort on columns it selects so we get the extra
    columns from the sort criteria and select them as well.

 .../media-export/rygel-media-export-media-cache.vala      | 15 +++++++++++++--
 .../media-export/rygel-media-export-sql-factory.vala      |  2 +-
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 5d79e3302c4fabcda1e12aeadcf67f9eb452f85c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Aug 6 00:44:38 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 350 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 163 insertions(+), 187 deletions(-)

commit b89eb8a9d49335639b9fec1008172198c365c39b
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Aug 2 15:20:30 2013 +0200

    media-export: Use sort criteria in virtual folders
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702228

 .../media-export/rygel-media-export-media-cache.vala        | 13 ++++++++++++-
 .../rygel-media-export-node-query-container.vala            |  3 ++-
 .../media-export/rygel-media-export-sql-factory.vala        |  2 +-
 3 files changed, 15 insertions(+), 3 deletions(-)

commit ff1ef88e06f27e254721c0f57a447b02b2de348e
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jul 30 19:21:44 2013 +0200

    media-export: Fix invalid browse response
    
    Instead of manually adding the "All" container causing all kinds of issues
    with response count and slicing we just generate a "fake" result from the SQL
    query so limit and offset work as expected.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704146

 .../rygel-media-export-media-cache.vala            | 15 +++++++---
 .../rygel-media-export-node-query-container.vala   | 34 ++++++++++------------
 2 files changed, 27 insertions(+), 22 deletions(-)

commit b587606168f0bb0742aa82c650172340e4361358
Author: Craig Pratt <craig@ecaspia.com>
Date:   Tue Jul 23 17:16:20 2013 +0200

    playbin: Make plugin usable with simple engine

 src/plugins/playbin/rygel-playbin-module.vala | 5 +++++
 1 file changed, 5 insertions(+)

commit a40f94d419ebb44a0399d8d07f34c04d0a8dd7bc
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Wed Jul 3 12:43:54 2013 -0600

    core: Recommended png depth value 24 instead of 32
    
    The depth of a PNG is defined excluding the alpha channel so we really have
    3x8 bits here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705084

 src/librygel-core/rygel-plugin.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c798d5403d31277d2f1f09efbeff1894ea0b491f
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Aug 4 09:59:49 2013 +0400

    Updated Russian translation

 po/ru.po | 671 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 423 insertions(+), 248 deletions(-)

commit e24e320bd5c82b65aeafdeaaea52baa230cd4eed
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Aug 3 19:57:25 2013 +0200

    Updated Czech translation

 po/cs.po | 69 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 39 insertions(+), 30 deletions(-)

commit 8644d78a348f8e5414703dc0f7587ccfe5a33b47
Author: 甘露(Gan  Lu) <rhythm.gan@gmail.com>
Date:   Sat Aug 3 22:23:34 2013 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 1176 ++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 807 insertions(+), 369 deletions(-)

commit d1a60d2220c9481d3b8603cd2da67cca00aa89fe
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 2 13:07:41 2013 +0200

    Updated Galician translations

 po/gl.po | 70 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 39 insertions(+), 31 deletions(-)

commit 3fae8be115b7b26ee9bae7ff6160f9c1d590f586
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Mon Jul 29 09:43:09 2013 -0600

    server: Validate client supplied createClass value
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702741

 src/librygel-server/rygel-object-creator.vala | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 6dec3a2bd4de4bc2eaa3ca0a4ea8f57a93dfb1a8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Jul 31 12:07:54 2013 +0300

    Updated Hebrew translation.

 po/he.po | 618 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 374 insertions(+), 244 deletions(-)

commit b414bc3f856aba2f0f0676f2fe821f2792a9838b
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jul 30 11:34:34 2013 +0200

    Prepare 0.19.4

 NEWS | 98 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 98 insertions(+)

commit 89d0e9d574cd44d1027a8b6fd2845ebff8dfd1c9
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Mon Jul 29 11:01:59 2013 -0600

    server,media-export: Add missing seachClass nodes
    
    Fix for adding searchClass element in the browse result when searchable
    attribute is set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702254

 src/librygel-server/rygel-media-container.vala                |  3 ++-
 src/plugins/media-export/rygel-media-export-db-container.vala | 10 ++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 8787630a58748067490737df4c396788cf7bbe37
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 17 14:43:01 2013 +0200

    server,media-export: Fix OCM flags
    
    The OCM flags in the playlist root container need changing to not
    mention UPLOAD and UPLOAD_DESTROYABLE since it's not possible to add
    items in it, only containers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702255

 src/librygel-server/rygel-media-container.vala          |  2 +-
 src/librygel-server/rygel-media-item.vala               |  2 +-
 src/librygel-server/rygel-media-object.vala             |  2 +-
 src/librygel-server/rygel-object-creator.vala           | 17 +++++++++++++++--
 .../rygel-media-export-playlist-root-container.vala     | 12 ++++++++++++
 5 files changed, 30 insertions(+), 5 deletions(-)

commit f8debdcf6d054c34afdff8da8ec95faf7d79891b
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jun 25 16:44:25 2013 +0200

    server: Fix playlist creation
    
    If a client creates an item with a DIDL_S resource, rewrite the UPnP
    class to .playlistItem.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702256

 src/librygel-server/rygel-object-creator.vala | 9 +++++++++
 1 file changed, 9 insertions(+)

commit ed6b2676bd5ec5241759c95d9fd2f019acbffe9d
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Jun 19 11:31:15 2013 +0200

    server: Force HTTP version to 1.1
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702555

 src/librygel-server/rygel-http-request.vala | 5 +++++
 1 file changed, 5 insertions(+)

commit 56af65a6f4d36919d3c0ba7f17ae447e0e647e3d
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Jul 29 16:25:04 2013 +0100

    Tajik translation added

 po/LINGUAS |    1 +
 po/tg.po   | 1029 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1030 insertions(+)

commit 12a28591c3fd0faf278e857d45267f67c0fe44b6
Author: Edson Silva <edsonlead@gmail.com>
Date:   Mon Jul 29 02:52:00 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 688 ++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 479 insertions(+), 209 deletions(-)

commit d435f66b595a0a5e8b925372475b977afddffb25
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Jul 29 02:39:15 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 135 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 72 insertions(+), 63 deletions(-)

commit 41e1d5ee32256dfbae81f9404a60f4ba22d849f1
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Jul 24 13:10:05 2013 +0200

    tests: Fix for recent bugfixes

 tests/rygel-http-get-test.vala       |  2 +-
 tests/rygel-http-time-seek-test.vala |  2 +-
 tests/rygel-object-creator-test.vala | 12 ++++++++----
 3 files changed, 10 insertions(+), 6 deletions(-)

commit b2a551e7f891bbb12160a5f92e7d56691a5e8dd7
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Thu Jul 25 21:21:09 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 733 ++++++++++++++++++++++++++++++++++++++++--------------------
 po/zh_TW.po | 733 ++++++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 974 insertions(+), 492 deletions(-)

commit c790ac81efa6f7edc4f7f6289c809bb9b25d620c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jul 24 19:58:28 2013 +0200

    Updated Polish translation

 po/pl.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 71 insertions(+), 65 deletions(-)

commit a3b362298eeba4d1e0bfd283a3d8b2d82e2af710
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Tue Jul 23 17:27:59 2013 +0200

    Updated German translation

 po/de.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit de6b3878fc7dee70feddf4ab1d713815cd579e9d
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jul 23 16:41:32 2013 +0200

    media-export: Don't leak fds in JPEG writer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701948

 src/plugins/media-export/rygel-media-export-jpeg-writer.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 0beb16542cf9f911a5033206ade8411a27d85a0c
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Tue Jul 23 07:53:26 2013 +0300

    Updated Greek translation

 po/el.po | 754 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 480 insertions(+), 274 deletions(-)

commit f6d614ebc76a73220833063610f3dcdf14b01847
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Jul 21 10:37:18 2013 +0200

    Update .gitignore

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit 5b7b922b429a5a74e15bb16d399841942530c27b
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Jul 20 22:24:24 2013 +0200

    doc: Add target to generate HTML manpages

 doc/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 5d4f88a9930132cefe5c3d1f64b05c7cd92b7cfb
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Jul 13 13:55:54 2013 +0200

    server: Always fill agent cache

 src/librygel-server/rygel-client-hacks.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit afcbe42f9b79db6fd8fb79425a8500969b8a3762
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jul 18 14:48:39 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 116 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 60 insertions(+), 56 deletions(-)

commit ff0a1febbff9c244fdf9aa6511b65270b2b905bc
Author: Benjamin Steinwender <b@stbe.at>
Date:   Sun Jul 14 16:23:23 2013 +0200

    Updated German translation

 po/de.po | 723 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 501 insertions(+), 222 deletions(-)

commit bd4d3800297e8d1d0442477de84ccee3f3ae3a18
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jul 12 10:19:10 2013 +0200

    build: Bump vala version
    
    Necessary for search_ns () in libxml2 vapi from commit 6a481ee
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704066

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e70b95ef3a51f80f15864febddfdc78ba8e0ed2d
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jul 1 14:53:16 2013 +0200

    server: Fix accidental ABI break
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703241

 src/librygel-server/rygel-media-container.vala | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c484f8d98271cc8b64f10cc5a1a445106496df59
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Jul 4 17:58:39 2013 +0700

    Updated Indonesian translation

 po/id.po | 676 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 469 insertions(+), 207 deletions(-)

commit 1043e0329545d7e12401bb3ae10fffbc575ebdde
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jun 30 07:25:32 2013 +0200

    Updated Czech translation

 po/cs.po | 557 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 337 insertions(+), 220 deletions(-)

commit 7e2af489c22d663df16f25b606f971ed1feca7dc
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Thu Jun 27 13:27:56 2013 -0600

    server,media-export: Add support for dc:creator
    
    Ability to add dc:creator is removed from subclasses and moved into
    MediaItem.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701637

 src/librygel-server/rygel-media-item.vala             | 10 ++++++++++
 src/librygel-server/rygel-photo-item.vala             |  9 ---------
 src/librygel-server/rygel-playlist-item.vala          |  8 --------
 src/librygel-server/rygel-video-item.vala             |  2 +-
 .../rygel-media-export-media-cache-upgrader.vala      | 19 +++++++++++++++++++
 .../media-export/rygel-media-export-media-cache.vala  | 14 ++++++++------
 .../media-export/rygel-media-export-sql-factory.vala  | 10 ++++++----
 7 files changed, 44 insertions(+), 28 deletions(-)

commit b19954453631120de3fb6b22427ca7a887daef1f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Jun 28 01:46:49 2013 +0200

    Updated Galician translations

 po/gl.po | 93 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 49 insertions(+), 44 deletions(-)

commit c31909a51ed4cec68f69e8b87326b1323e2c7015
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Thu Jun 27 14:26:34 2013 +0300

    RootDeviceFactory: use UUID.get() from UUID.vapi
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702451

 src/librygel-core/rygel-root-device-factory.vala | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit c03cef824e7ae0163bf5a73833b52c8693ea8a4b
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Jun 26 18:34:40 2013 +0300

    Only modify the description file from DescriptionFile
    
    RootDeviceFactory used to modify the description xml directly. This is
    not optimal as DescriptionFile now keeps the elements in the correct
    order.
    
    Move the icon element and service element creation code to
    DescriptionFile, start using DescriptionFile public methods to modify
    the description from RootDeviceFactory. Swap the order of ControlURL
    and EventSubURL elements to match the specification.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702451

 src/librygel-core/rygel-description-file.vala    | 113 ++++++++++++-
 src/librygel-core/rygel-root-device-factory.vala | 194 +++++------------------
 2 files changed, 147 insertions(+), 160 deletions(-)

commit c4362eddf85edae8385437f06566b30c0b140e0d
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Wed Jun 26 13:59:00 2013 +0300

    DescriptionFile: Preserve order when adding elements
    
    UPnP Device Architecture 1.1 specifies the order of elements
    in the device description. Preserve that order when dynamically
    adding elements.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702451

 src/librygel-core/rygel-description-file.vala | 81 ++++++++++++++++++++++-----
 1 file changed, 67 insertions(+), 14 deletions(-)

commit 55b7d3319c432438a3c43dd27ed8b757f9d934f7
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Jun 25 16:44:39 2013 +0300

    xml templates: fix element order to match UDA 1.1
    
    UPnP Device Architecture 1.1:
    "The order of XML elements in device and service description documents
    MUST adhere to the order as defined in the corresponding specification"
    
    Note that this commit is not enough for compliance: when we dynamically
    add optional elements, we must make sure they appear in the correct
    place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702451

 data/xml/AVTransport2.xml.in             | 863 ++++++++++++++++---------------
 data/xml/ConnectionManager.xml.in        | 125 ++---
 data/xml/ContentDirectory-NoTrack.xml.in | 243 ++++-----
 data/xml/ContentDirectory.xml.in         | 253 ++++-----
 data/xml/MediaServer3.xml.in.in          |   5 +-
 data/xml/RenderingControl2.xml.in        |  95 ++--
 6 files changed, 794 insertions(+), 790 deletions(-)

commit 6a481ee70628b8a8a5f3cd78822544cb64651b49
Author: Jussi Kukkonen <jussi.kukkonen@intel.com>
Date:   Tue Jun 25 14:41:53 2013 +0300

    DescriptionFile: create device elements if they do not exists
    
    set_device_element() may be called with names of elements that do not
    exists yet (non-required elements that are empty by default).
    
    Create elements dynamically in set_device_element(). also, set dlna
    namespace for X_DLNACAP and remove the X_DLNACAP element if the
    contents are empty.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703044

 src/librygel-core/rygel-description-file.vala | 51 +++++++++++++++++++++++----
 1 file changed, 44 insertions(+), 7 deletions(-)

commit 371939e2e9c275884d35f61e602922670ee92154
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jun 27 13:03:03 2013 +0200

    Updated Spanish translation

 po/es.po | 41 ++++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 17 deletions(-)

commit 82fd62ecb24f51b0b6323dec9ad3cad694aca3d5
Author: Parthiban Balasubramanian <p.balasubramanian@cablelabs.com>
Date:   Wed Jun 12 14:57:01 2013 -0600

    server: Fix UPnP Error codes
    
    CreateObject, UpdateObject and DestroyObject UPnP Actions were using
    slightly wrong error codes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703140

 src/librygel-server/rygel-item-destroyer.vala | 4 ++--
 src/librygel-server/rygel-item-updater.vala   | 4 ++--
 src/librygel-server/rygel-object-creator.vala | 6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 1ba662b7357f1dfcf6f1c40c56008c63a817cc98
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jun 25 14:43:44 2013 +0200

    Updated Spanish translation

 po/es.po | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 1bdff9ec685287ac49fce662735da6190414f35d
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jun 18 15:54:22 2013 +0200

    server: Fix error codes for CreateReference
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702083

 src/librygel-server/rygel-content-directory.vala | 1 +
 src/librygel-server/rygel-reference-creator.vala | 8 ++++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 30d7757a150b2e5922da87194ec22c8fb01dc9a0
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jun 18 15:40:26 2013 +0200

    media-export: Allow reference creation everywhere
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702083

 .../rygel-media-export-media-cache.vala            | 22 ++++++++++++++++
 .../rygel-media-export-playlist-container.vala     | 30 +++++-----------------
 .../rygel-media-export-writable-db-container.vala  | 10 +++++---
 3 files changed, 34 insertions(+), 28 deletions(-)

commit 92885a059a5dbbca10e06d630631e33178dad622
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jun 18 16:06:22 2013 +0200

    media-export: Use DLNA-compliant createClass
    
    DLNA does not like upnp:createClass other than object.container for
    containers. So we use that and use the possibility to "upgrade" the
    object's class upon creation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702258

 .../media-export/rygel-media-export-playlist-root-container.vala   | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 56845ce1d78d4db698fda337e483c7304af42f3a
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jun 14 21:22:21 2013 +0200

    server,media-export: Use object.container
    
    We used to use object.container.storageFolder for XBox 360 compatibility but
    DLNA doesn't like that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702258

 src/librygel-server/rygel-client-hacks.vala                  |  2 +-
 src/librygel-server/rygel-http-get.vala                      |  2 +-
 src/librygel-server/rygel-media-container.vala               |  7 +++++--
 src/librygel-server/rygel-media-objects.vala                 |  4 ++--
 src/librygel-server/rygel-object-creator.vala                |  1 +
 src/librygel-server/rygel-panasonic-hacks.vala               |  8 +++++++-
 src/librygel-server/rygel-samsung-tv-hacks.vala              |  7 ++++++-
 src/librygel-server/rygel-xbmc-hacks.vala                    |  8 +++++++-
 src/librygel-server/rygel-xbox-hacks.vala                    | 12 +++++++++++-
 .../rygel-media-export-writable-db-container.vala            |  3 ++-
 10 files changed, 43 insertions(+), 11 deletions(-)

commit 549ddb859ee49968e1d3a88d3fa12820d3afe3f0
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Jun 6 12:48:50 2013 +0200

    server: Drop dlna: ns attributes on UpdateObject
    
    We cannot validate them and the UpdateObject action fails because of
    that, so we walk the node and remove all those attributes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701637

 src/librygel-server/rygel-media-object.vala | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 5e552066991cf8a3e0879225974ad4dffe22108f
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Jun 20 15:20:11 2013 +0200

    server: Use object returned from server in CreateObject
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702743

 src/librygel-server/rygel-object-creator.vala | 2 ++
 1 file changed, 2 insertions(+)

commit ed2b6f251207fe8881592016abfecf40750f73b3
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Jun 18 13:13:04 2013 +0200

    server: Fix time-seek on full-range seeks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702262

 src/librygel-server/rygel-http-time-seek.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 765aaf0ae0476d7e1ec11e2f042052fd81792a39
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Jun 19 11:12:20 2013 +0200

    media-export: Use proper iso8601 date format
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702231

 configure.ac                                        |  1 +
 .../rygel-media-export-item-factory.vala            | 21 +++++++++++++++++++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 03101e18be107391726f138945cd5440025bfb15
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 24 15:08:49 2013 +0200

    build: Fix --enable-debug

 common.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7fbb999baad9bb49fe61e84e8715cff1a5b20230
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Jun 22 01:26:27 2013 +0200

    Updated Galician translations

 po/gl.po | 529 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 315 insertions(+), 214 deletions(-)

commit 8d119d155f94d0c434416e6a7a90d3a63b81d15e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jun 20 10:52:27 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 491 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 303 insertions(+), 188 deletions(-)

commit bc0345cd4d0207b0997483704dba56e1de6d8dad
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jun 18 11:17:22 2013 +0200

    Updated Spanish translation

 po/es.po | 27 ++++++++-------------------
 1 file changed, 8 insertions(+), 19 deletions(-)

commit 58d9e4d6e1297a396ee90a29052fa1f7490bcd06
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 17 17:55:24 2013 +0200

    Updated Spanish translation

 po/es.po | 542 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 328 insertions(+), 214 deletions(-)

commit d7de08a11189d9e4ec28b82c89e3425d70eb85f6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jun 17 17:14:36 2013 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 294a337cf14705324985d6344a40f5e361391f0d
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 17 15:47:55 2013 +0200

    Prepare 0.19.3

 NEWS | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

commit 575caad0cf6fe9f88f77d7a54fb7ab5faa088391
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 17 15:27:12 2013 +0200

    i18n: Update POTFILES.skip

 po/POTFILES.skip | 2 ++
 1 file changed, 2 insertions(+)

commit 41f06fc6a1718ddbaecc7fe01e88c7cfddb8de10
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 17 15:18:58 2013 +0200

    .gitignore: Ignore .trs files

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5fec59547076b00f169efab2ce09722a30825c4a
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 17 15:16:49 2013 +0200

    tests: Adapt to latest changes

 tests/Makefile.am                            | 3 ++-
 tests/rygel-http-get-test.vala               | 4 +++-
 tests/rygel-m3u-playlist_object-creator.vala | 1 +
 3 files changed, 6 insertions(+), 2 deletions(-)

commit c38fe86e5c6110564c5a20aa990a4d0f32bcee80
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Jun 16 11:36:25 2013 +0200

    server: Fix playlist transfer mode handling

 src/librygel-server/rygel-http-get.vala        | 10 ++++++----
 src/librygel-server/rygel-media-container.vala |  3 ++-
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 63bc34de234634345e2e301cdda4c4d35ef916fd
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Jun 16 11:22:31 2013 +0200

    server: Add a M3U resource to containers

 src/librygel-server/filelist.am                    |  1 +
 src/librygel-server/rygel-http-get.vala            |  6 +-
 .../rygel-http-playlist-handler.vala               | 40 +++++++++--
 src/librygel-server/rygel-m3u-playlist.vala        | 79 ++++++++++++++++++++++
 src/librygel-server/rygel-media-container.vala     | 67 +++++++++++-------
 src/librygel-server/rygel-serializer.vala          | 56 +++++++++++----
 6 files changed, 206 insertions(+), 43 deletions(-)

commit 56f6367db20caa8fe95c7bf5baea3ac1133e2856
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jun 16 17:44:08 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 524 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 319 insertions(+), 205 deletions(-)

commit f59269791c26c2857bad39b7277320949f51bb2d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jun 15 17:58:43 2013 +0200

    Updated POTFILES.in

 po/POTFILES.in | 110 ++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 98 insertions(+), 12 deletions(-)

commit eb25767ce1e5c70804d16492f40c07acede52014
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jun 14 22:10:11 2013 +0200

    media-engine: Don't crash on missing RTP depayloader

 src/media-engines/gstreamer/rygel-gst-utils.vala | 3 +++
 1 file changed, 3 insertions(+)

commit eddc238a5d9c1f00d43f51eb630bee714808a671
Author: Jens Georg <jensg@openismus.com>
Date:   Sat May 11 00:36:10 2013 +0200

    ui: Support multiple network interfaces

 data/rygel-preferences.ui              | 173 +++++++++++++++++++++++++--------
 src/ui/rygel-network-pref-section.vala | 132 +++++++++++++++++++------
 2 files changed, 234 insertions(+), 71 deletions(-)

commit 1d4eb29cb0cbf76af4258232d92d2e2332657ca4
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 23:20:23 2013 +0200

    ui: Set toolbar style from glade

 data/rygel-preferences.ui            | 3 +++
 src/ui/rygel-preferences-dialog.vala | 4 ----
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 5dccd883d20148a702068995403e9c8aaceab626
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 23:02:35 2013 +0200

    ui: Drop some obsolete things

 data/rygel-preferences.ui | 9 ---------
 1 file changed, 9 deletions(-)

commit 347a819e93fe851cad68ba3f3bed7bf2f10da6ac
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 22:56:54 2013 +0200

    ui: Declare cell renderer in glade

 data/rygel-preferences.ui            | 20 ++++++++++++++++----
 src/ui/rygel-media-pref-section.vala |  6 ------
 2 files changed, 16 insertions(+), 10 deletions(-)

commit 0ed6f3062d47c2276f6adff705c3344df13bed5d
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jun 14 19:36:59 2013 +0200

    data: Fix typo in preset

 data/presets/avenc_aac.prs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d535e9b8307735d5c75a5dcd388c729ab7aada5
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jun 14 14:45:02 2013 +0200

    media-engine: Fix typo

 src/media-engines/gstreamer/rygel-gst-transcoder.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 37354ba541acbe8c86faf1c56fd4602584f32e7a
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Jun 14 13:17:15 2013 +0200

    rygel: Add option to shut down a remote instance

 src/rygel/rygel-cmdline-config.vala | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit a652eace9ae5c54089bfd447aedf34381c4bb2e0
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Jun 12 14:22:53 2013 +0200

    media-engine: Warn when fail to setup source
    
    Print a proper warning if we fail to create a source and not just some
    obscure "Not found" error.

 src/media-engines/gstreamer/rygel-gst-media-engine.vala | 4 ++++
 1 file changed, 4 insertions(+)

commit 5b5952ae4e623bd90ed8aee2bfb02356b4d63157
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 10 22:50:33 2013 +0200

    media-export: Support playlists in XBox 360

 src/plugins/media-export/rygel-media-export-object-factory.vala   | 2 +-
 .../media-export/rygel-media-export-playlist-root-container.vala  | 8 +++++---
 src/plugins/media-export/rygel-media-export-root-container.vala   | 8 +++++---
 3 files changed, 11 insertions(+), 7 deletions(-)

commit 206e7491026f2157c050b71bbc80c29ca9d6099c
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Jun 10 22:29:36 2013 +0200

    media-export: Allow removal of children
    
    There's no "RemoveReference", so PlaylistContainer needs to allow and
    support DestroyObject

 src/plugins/media-export/rygel-media-export-playlist-container.vala | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 56b86284b3a43283cb2c9c5a29d6d6a86025b351
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Jun 4 13:00:08 2013 +0200

    Updated Czeach translation

 po/cs.po | 296 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 180 insertions(+), 116 deletions(-)

commit 146e1a7cb8d2703d426af23cf18178d4f0f8f6cf
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri May 31 00:59:09 2013 +0200

    Updated Galician translations

 po/gl.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit f83478e4851875722a671a764a0bb23d1cfe99ef
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 29 11:45:16 2013 +0200

    Updated Spanish translation

 po/es.po | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit 23df8bbed141fcdf62ec6ec47fe0ded226d127d5
Author: Jens Georg <jensg@openismus.com>
Date:   Tue May 28 10:31:16 2013 +0200

    Prepare Rygel 0.19.2

 NEWS | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit 4f37dc3aee12c270d155a82961f37bab11cc8e11
Author: Andreas Henriksson <andreas@fatal.se>
Date:   Sat May 18 13:10:52 2013 +0200

    ui: don't lose the interface setting
    
    Just opening and closing rygel-preferences would result in
    the interface setting getting set to blank in the configuration.
    Fixing the TODO item in the source to set the active interface
    (last added item) was all that was needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700570

 src/ui/rygel-network-pref-section.vala | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 51b81dcb96f41b98fe1499f302134bf1deb19188
Author: Jens Georg <jensg@openismus.com>
Date:   Tue May 28 09:46:53 2013 +0200

    rygel: Add message about streaming-only mode

 src/rygel/rygel-main.vala | 6 ++++++
 1 file changed, 6 insertions(+)

commit 40ecb640052ed25918f59be1087ca05c9425aa76
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Jan 3 12:30:51 2013 +0100

    server: Coding style fix - early exit

 src/librygel-server/rygel-http-item-uri.vala | 82 ++++++++++++++--------------
 1 file changed, 42 insertions(+), 40 deletions(-)

commit e9fd686fcfa36de5756a0408037919f3d08abd2c
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Jan 3 12:28:31 2013 +0100

    server: Small coding-style fixes

 src/librygel-server/rygel-http-server.vala |  2 +-
 src/librygel-server/rygel-music-item.vala  | 19 ++++++++++---------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 9e7e8b8c843612d659d0dda8379634aa1d0b8aa0
Author: Jens Georg <jensg@openismus.com>
Date:   Mon May 27 01:39:33 2013 +0900

    Drop deprecated design.txt

 doc/design.txt | 20 --------------------
 1 file changed, 20 deletions(-)

commit c1f12cedbd3bc250f4d2f74e0b60932990f3ddac
Author: Jens Georg <jensg@openismus.com>
Date:   Mon May 27 01:56:09 2013 +0900

    Update TODO

 TODO | 9 ---------
 1 file changed, 9 deletions(-)

commit bd13ed599fc15d4112bc2f05e071f3cc21e0b9fd
Author: Jens Georg <jensg@openismus.com>
Date:   Mon May 13 15:30:05 2013 +0200

    media-export: Fix sorting by date
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694357

 src/plugins/media-export/rygel-media-export-media-cache.vala | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 403ce80959fcb18ca7404e1c9ca5bad6ece4c60d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun May 26 22:14:13 2013 +0300

    Updated Lithuanian translation

 po/lt.po | 465 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 307 insertions(+), 158 deletions(-)

commit 142dfbb8ea8d2c9f2f72d7111bc582d5beae4c11
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat May 25 23:44:20 2013 +0200

    Updated slovak translation

 po/sk.po | 632 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 390 insertions(+), 242 deletions(-)

commit 40114f3dd0ecafda54f606bc98ad41e76d88c714
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat May 25 11:41:00 2013 +0300

    Updated Hebrew translation.

 po/he.po | 457 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 296 insertions(+), 161 deletions(-)

commit e35e5572c80a99e31efe762e28c74f2ab09324a7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon May 20 14:18:07 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 430 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 282 insertions(+), 148 deletions(-)

commit c5716a76ca1b152389b9963ddffcc0969b53c5ec
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu May 16 10:46:57 2013 +0200

    Updated Galician translations

 po/gl.po | 306 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 181 insertions(+), 125 deletions(-)

commit 17e64337b512cfbcf29d235a11c844753ae76c1e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 13 13:45:27 2013 +0200

    Updated Spanish translation

 po/es.po | 32 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 17 deletions(-)

commit 3e8510cda785924f4244bcf0d83dd0cd1bc04224
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 13 13:28:48 2013 +0200

    Updated Spanish translation

 po/es.po | 189 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 119 insertions(+), 70 deletions(-)

commit c4aec9c8ce1018d7c14e16ef4e58c29ec08b4d37
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Mon May 13 02:34:00 2013 +0200

    Fix 'Thubmnailing' typo.
    
    This is a multi-part message in MIME format.
    
    Signed-off-by: Mihai Moldovan <ionic@ionic.de>

 po/ar.po                                   | 2 +-
 po/as.po                                   | 2 +-
 po/bg.po                                   | 2 +-
 po/ca.po                                   | 2 +-
 po/ca@valencia.po                          | 2 +-
 po/cs.po                                   | 2 +-
 po/da.po                                   | 2 +-
 po/de.po                                   | 2 +-
 po/el.po                                   | 2 +-
 po/en_GB.po                                | 4 ++--
 po/es.po                                   | 2 +-
 po/et.po                                   | 2 +-
 po/eu.po                                   | 2 +-
 po/fi.po                                   | 2 +-
 po/fr.po                                   | 2 +-
 po/gl.po                                   | 2 +-
 po/he.po                                   | 2 +-
 po/hi.po                                   | 2 +-
 po/hu.po                                   | 2 +-
 po/id.po                                   | 2 +-
 po/it.po                                   | 2 +-
 po/ko.po                                   | 2 +-
 po/lt.po                                   | 2 +-
 po/lv.po                                   | 2 +-
 po/ml.po                                   | 2 +-
 po/nb.po                                   | 2 +-
 po/pa.po                                   | 2 +-
 po/pl.po                                   | 2 +-
 po/pt.po                                   | 2 +-
 po/pt_BR.po                                | 2 +-
 po/ru.po                                   | 2 +-
 po/sk.po                                   | 2 +-
 po/sl.po                                   | 2 +-
 po/sr.po                                   | 2 +-
 po/sr@latin.po                             | 2 +-
 po/ta.po                                   | 2 +-
 po/th.po                                   | 2 +-
 po/ug.po                                   | 2 +-
 po/zh_HK.po                                | 2 +-
 po/zh_TW.po                                | 2 +-
 src/librygel-server/rygel-thumbnailer.vala | 2 +-
 41 files changed, 42 insertions(+), 42 deletions(-)

commit a20e912cbff94847cc27a59f7d2d821d83ce4f58
Author: Jens Georg <jensg@openismus.com>
Date:   Sun May 12 13:57:18 2013 +0200

    media-export: Really don't lose child containers
    
    The previous patch left over some stuff, cluttering virtual folders

 .../media-export/rygel-media-export-harvester.vala      | 11 +++++++++++
 .../media-export/rygel-media-export-media-cache.vala    | 10 +---------
 .../media-export/rygel-media-export-root-container.vala | 17 ++++++++++-------
 .../media-export/rygel-media-export-sql-factory.vala    |  8 +-------
 4 files changed, 23 insertions(+), 23 deletions(-)

commit e6f7961b1b6e64e96fc770e50a7253afdc8f1abf
Author: Jens Georg <jensg@openismus.com>
Date:   Sun May 12 12:54:37 2013 +0200

    media-export: Stop child folders from disappearing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648003

 src/plugins/media-export/rygel-media-export-media-cache.vala    | 7 +++++++
 src/plugins/media-export/rygel-media-export-root-container.vala | 5 ++++-
 src/plugins/media-export/rygel-media-export-sql-factory.vala    | 8 +++++++-
 3 files changed, 18 insertions(+), 2 deletions(-)

commit 5426f7c9bd9fc064d5e3ad4f3994963032c6c0b7
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 20:56:15 2013 +0200

    rygel,ui: Stop crashing because of non-null terminated arrays

 src/rygel/rygel-user-config.vala       | 9 ++++++++-
 src/ui/rygel-network-pref-section.vala | 9 ++++++---
 2 files changed, 14 insertions(+), 4 deletions(-)

commit db7cf32a4bb477bbeaa55162df34b1ff8ffc5864
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 18:58:56 2013 +0200

    rygel: Mark options translatable

 src/rygel/rygel-cmdline-config.vala | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit c27665d201675142476df72c8567587c72e7e559
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 16:21:03 2013 +0200

    core,rygel,doc: Use multiple interfaces
    
    Rygel may now bind to more than any or just one interface.

 data/rygel.conf                                 |  7 ++++---
 doc/man/rygel.conf.xml                          |  2 +-
 doc/man/rygel.xml                               |  4 ++--
 src/librygel-core/rygel-base-configuration.vala |  5 +++++
 src/librygel-core/rygel-configuration.vala      |  4 ++++
 src/librygel-core/rygel-meta-config.vala        | 22 +++++++++++++++++++++-
 src/rygel/rygel-cmdline-config.vala             | 23 +++++++++++++++++------
 src/rygel/rygel-environment-config.vala         |  5 +++++
 src/rygel/rygel-main.vala                       | 10 +++++-----
 src/rygel/rygel-user-config.vala                |  5 +++++
 src/ui/rygel-network-pref-section.vala          |  2 +-
 11 files changed, 70 insertions(+), 19 deletions(-)

commit a5590118babcb40845f0b0d7e1e3879523c1da01
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 16:19:30 2013 +0200

    doc: Fix typo

 doc/man/rygel.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc5225241622a0430ee969a340d54b07097c6e8c
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 15:15:28 2013 +0200

    doc: Clarify debug output settings
    
    Add note about G_MESSAGES_DEBUG

 doc/man/rygel.conf.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a04677b02fe16671ecd934543f66914f5964dc9c
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 15:05:40 2013 +0200

    build: Don't use relative paths

 data/Makefile.am                      | 2 +-
 examples/Makefile.am                  | 2 +-
 src/librygel-core/Makefile.am         | 2 +-
 src/librygel-renderer-gst/Makefile.am | 2 +-
 src/librygel-renderer/Makefile.am     | 2 +-
 src/librygel-server/Makefile.am       | 2 +-
 src/plugins/external/Makefile.am      | 2 +-
 src/plugins/mediathek/Makefile.am     | 2 +-
 src/plugins/mpris/Makefile.am         | 2 +-
 src/plugins/playbin/Makefile.am       | 2 +-
 src/rygel/Makefile.am                 | 2 +-
 src/ui/Makefile.am                    | 2 +-
 tests/Makefile.am                     | 2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

commit a039b3c323c1b15e33acf957cf5de78bca45522c
Author: Jens Georg <jensg@openismus.com>
Date:   Fri May 10 14:59:07 2013 +0200

    Update TODO

 TODO | 8 --------
 1 file changed, 8 deletions(-)

commit cc32943c39e2643c9365842246b97a5f556aa635
Author: Jens Georg <jensg@openismus.com>
Date:   Wed May 8 19:54:34 2013 +0200

    renderer: Don't always fall back
    
    Only do the GET request if the peer does not seem to understand HEAD.
    Otherwise we'd probably do unnecessary requests.

 src/librygel-renderer/rygel-av-transport.vala | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 769bd7e922e60c71a31535ec921cd438c0d6934b
Author: Jens Georg <jensg@openismus.com>
Date:   Tue May 7 23:49:33 2013 +0200

    renderer: Work-around peers not supporting HEAD
    
    If a peer does not support HEAD, fall back to GET and cancel the message after
    the got_headers signal so we basically fake a HEAD request and only if that
    fails, fail completely.

 src/librygel-renderer/rygel-av-transport.vala | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit f61fde31da2cab347313c40fc300838fb56f9d23
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat May 4 21:37:02 2013 +0200

    Updated Slovenian translation

 po/sl.po | 290 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 202 insertions(+), 88 deletions(-)

commit ab3aba1849114f2d275f96d6415cbb657dc5c56d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri May 3 18:15:28 2013 +0200

    Updated Spanish translation

 po/es.po | 120 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 58 insertions(+), 62 deletions(-)

commit d47c4daac833aa0fef77cb033d729fefb8064dfe
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue Apr 30 22:11:18 2013 +0400

    Updated Russian translation

 po/ru.po | 279 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 188 insertions(+), 91 deletions(-)

commit caeead751cc63ba355b282ded8544e3dfd37c2cf
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 11:05:12 2013 +0200

    Prepare 0.19.1

 NEWS             | 126 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.skip |   7 +++-
 2 files changed, 132 insertions(+), 1 deletion(-)

commit 300162b1d84b7f5c007835b25ed746d5d124b679
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 12:25:54 2013 +0200

    Update .gitignore

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit b8ef0328dd9a2771822be169c6ced8b8b16d9fb3
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 11:10:32 2013 +0200

    test: Drop racy double-freeze check

 tests/rygel-media-engine-test.vala | 59 --------------------------------------
 1 file changed, 59 deletions(-)

commit a68c54abc946e60c70514299a071090ad408bff0
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 23 14:59:39 2013 +0200

    all: Add sidecar file support for plugins
    
    Install a .plugin file with each plugin that provides some meta-information
    about the plugin, allowing us to not load the module if the user has disabled
    it instead blindly loading each .so we come across and let the module check
    whether it's enabled or not
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693658

 configure.ac                                       |  6 ++
 examples/renderer-plugins/C/Makefile.am            |  2 +
 .../C/example-renderer-c.plugin.in                 |  7 ++
 examples/renderer-plugins/vala/Makefile.am         |  3 +
 .../vala/example-renderer-vala.plugin.in           |  7 ++
 examples/server-plugins/C/Makefile.am              |  3 +
 .../server-plugins/C/example-server-c.plugin.in    |  7 ++
 examples/server-plugins/vala/Makefile.am           |  3 +
 .../vala/example-server-vala.plugin.in             |  7 ++
 m4/rygel.m4                                        |  1 +
 po/POTFILES.in                                     |  1 +
 po/POTFILES.skip                                   |  1 +
 src/librygel-core/filelist.am                      |  3 +-
 src/librygel-core/rygel-plugin-information.vala    | 86 ++++++++++++++++++++++
 src/librygel-core/rygel-plugin-loader.vala         | 20 +++--
 .../rygel-recursive-module-loader.vala             | 18 +++--
 src/librygel-server/rygel-engine-loader.vala       |  4 +
 src/media-engines/gstreamer/Makefile.am            |  2 +
 .../gstreamer/media-engine-gst.plugin.in           |  7 ++
 src/media-engines/simple/Makefile.am               |  3 +
 .../simple/media-engine-simple.plugin.in           |  7 ++
 src/plugins/external/Makefile.am                   |  3 +
 src/plugins/external/external.plugin.in            |  7 ++
 .../external/rygel-external-plugin-factory.vala    |  7 --
 src/plugins/gst-launch/Makefile.am                 |  3 +
 src/plugins/gst-launch/gst-launch.plugin.in        |  7 ++
 .../gst-launch/rygel-gst-launch-plugin.vala        |  7 --
 src/plugins/media-export/Makefile.am               |  2 +
 src/plugins/media-export/media-export.plugin.in    |  7 ++
 .../media-export/rygel-media-export-plugin.vala    |  7 --
 src/plugins/mediathek/Makefile.am                  |  3 +
 src/plugins/mediathek/mediathek.plugin.in          |  7 ++
 src/plugins/mediathek/rygel-mediathek-plugin.vala  |  7 --
 src/plugins/mpris/Makefile.am                      |  3 +
 src/plugins/mpris/mpris.plugin.in                  |  7 ++
 src/plugins/mpris/rygel-mpris-plugin-factory.vala  |  7 --
 src/plugins/playbin/Makefile.am                    |  3 +
 src/plugins/playbin/playbin.plugin.in              |  7 ++
 src/plugins/tracker/Makefile.am                    |  3 +
 src/plugins/tracker/tracker.plugin.in              |  7 ++
 40 files changed, 254 insertions(+), 48 deletions(-)

commit bbf80265552d16468bb814a8d576815fcafcf96c
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Feb 28 15:00:43 2013 +0100

    media-export: Implement playlistContainer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697949

 src/plugins/media-export/Makefile.am               |   2 +
 .../rygel-media-export-media-cache-upgrader.vala   |  22 +++++
 .../rygel-media-export-media-cache.vala            |   8 +-
 .../rygel-media-export-object-factory.vala         |   8 ++
 .../rygel-media-export-playlist-container.vala     | 109 +++++++++++++++++++++
 ...rygel-media-export-playlist-root-container.vala |  92 +++++++++++++++++
 .../rygel-media-export-sql-factory.vala            |  26 +++--
 .../rygel-media-export-writable-db-container.vala  |  24 +++--
 8 files changed, 273 insertions(+), 18 deletions(-)

commit 9dfc1b70b734f4c4bd04a397ee4be94cffe9c7d7
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 12 12:56:12 2013 +0200

    server: Add support non-fs-based WritableContainer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697949

 src/librygel-server/rygel-media-object.vala       | 7 +++++++
 src/librygel-server/rygel-writable-container.vala | 2 ++
 2 files changed, 9 insertions(+)

commit 8df7ce0a23e51204c7c86cef4231af02ca504ff6
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Apr 10 16:25:28 2013 +0200

    media-export: Always show playlist container
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697949

 src/plugins/media-export/rygel-media-export-root-container.vala | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 59ae651be5f1226a9abdfce6fb0f0818796ea550
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Apr 11 18:42:39 2013 +0200

    server: Don't add resource to empty containers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697793

 src/librygel-server/rygel-media-container.vala | 36 ++++++++++++++------------
 1 file changed, 20 insertions(+), 16 deletions(-)

commit 06ab84672cecad523b9494dc732ef8207ac1e00f
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 05:09:01 2013 +0200

    ui: Fix starting Rygel after enabling DLNA

 src/ui/rygel-preferences-dialog.vala   | 1 +
 src/ui/rygel-writable-user-config.vala | 7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 4f0c4ce7e972db3683bdb6fa18e25f7c8760c867
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 04:57:38 2013 +0200

    ui: Use Switch instead of checkbox

 configure.ac                         |  2 +-
 data/rygel-preferences.ui            | 81 ++++++++++++++++++++----------------
 src/ui/rygel-preferences-dialog.vala | 14 ++++---
 3 files changed, 55 insertions(+), 42 deletions(-)

commit 4ddd5b7cd0b1cc12f5d0f4f944eecca1aac51272
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 04:24:43 2013 +0200

    ui: Fix half-empty user files on first start

 src/ui/rygel-writable-user-config.vala | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 47ca65da716780edbd843e2be6ad597bc0f4b45b
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 30 03:57:11 2013 +0200

    ui: Check that autostart file exists
    
    Preferences should only claim that sharing is enabled when the autostart file
    exists in addition to the enable_upnp setting.
    
    Fixes confusion in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703281
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698572

 src/ui/rygel-writable-user-config.vala | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 590782e345645876997564fe35d9a831265a4186
Author: os_ <syriatalks@hotmail.com>
Date:   Sat Apr 27 20:12:35 2013 +0100

    Updated Arabic translation

 po/ar.po | 800 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 504 insertions(+), 296 deletions(-)

commit beb5a9101ebc5a2ac64918988b23755523b546de
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 27 00:31:31 2013 +0200

    Updated Czech translation

 po/cs.po | 226 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 151 insertions(+), 75 deletions(-)

commit 7d6ddaa1b0af66fd7ef62e61dded046f00dafddb
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 26 22:49:07 2013 +0200

    engine-gst: Fix obscure test failure
    
    Work-around https://bugzilla.gnome.org/show_bug.cgi?id=698997

 src/media-engines/gstreamer/rygel-gst-sink.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 95319fbbe73c20128e4f29174cf69514cb783689
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 26 20:02:32 2013 +0200

    engine-gst: Drop useless counter

 src/media-engines/gstreamer/rygel-gst-sink.vala | 3 ---
 1 file changed, 3 deletions(-)

commit a9162ac091eb5039fba790103383648bc2bc2bb7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 25 10:28:42 2013 +0200

    Updated Spanish translation

 po/es.po | 250 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 174 insertions(+), 76 deletions(-)

commit b92025de67ae1910449cddad0dd4b0b7b9156ecc
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Apr 24 10:14:46 2013 +0300

    Updated Greek translation

 po/el.po | 262 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 174 insertions(+), 88 deletions(-)

commit 00fbb6d1f84847bf0b5e38ae2de3615043e870c1
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Tue Apr 23 14:05:48 2013 +0200

    doc: Improve the architecture diagram SVG file.
    
    Line up the various boxes with each other so it looks a bit
    less chaotic. Correct some dependencies.
    We still do not have the line crossing indications that we had in
    the original ASCII diagram.

 doc/rygel-architecture.svg | 1196 ++++++++++++++++++++++++--------------------
 1 file changed, 652 insertions(+), 544 deletions(-)

commit 5f7fde251bc238ae063f708d3f63d04c602d862d
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Apr 20 17:41:09 2013 +0200

    core: Rename C++ keyword

 src/librygel-core/rygel-description-file.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5c39b31265ed3b26df069e82b70fb16b293c1727
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 19 12:36:29 2013 +0200

    renderer: Work-around HEAD issue with some internet radios

 src/librygel-renderer/rygel-av-transport.vala | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1ada04a3882a2fa49ddae18369fe53011a4710ef
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Apr 21 23:41:40 2013 +0200

    Updated Galician translations

 po/gl.po | 241 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 164 insertions(+), 77 deletions(-)

commit ca2faa22a1ab1f911ed388c5433eae2ef696a3ef
Author: Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
Date:   Wed Apr 17 10:55:12 2013 +0530

    core: Fix memory leak in Rygel.DescriptionFile
    
    Need to do manual memory management for libxml2 API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698260

 src/librygel-core/rygel-description-file.vala | 1 +
 1 file changed, 1 insertion(+)

commit 807d948b523663d212c9462621910bf246bcb2a0
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 16 12:22:19 2013 +0200

    tests: Unbreak seeking tests

 tests/rygel-http-byte-seek-test.vala | 10 ++++++++++
 tests/rygel-http-get-test.vala       |  4 ++++
 tests/rygel-http-time-seek-test.vala | 10 ++++++++++
 3 files changed, 24 insertions(+)

commit b49d873093a41b82471ade0f4e8acb2edf4219f6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 13 18:20:29 2013 +0200

    i18n: Change ".." to "..." in a string

 src/rygel/rygel-main.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9b706f9e89529781e4c3905105ecdd30024004a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Apr 13 18:05:23 2013 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 6400da78afe096ab0dc11a46d0415da037f11387
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 12 13:26:50 2013 +0200

    media-export: Fix some typos

 src/plugins/media-export/rygel-media-export-root-container.vala | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 639ac7c0311a2c7e538b396ef8e5d2b4ce529aae
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Mar 10 12:55:33 2013 +0100

    server: Accept invalid seek requests for some devices
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674736

 src/librygel-server/filelist.am                 |  1 +
 src/librygel-server/rygel-client-hacks.vala     |  7 ++++
 src/librygel-server/rygel-http-byte-seek.vala   | 13 ++++--
 src/librygel-server/rygel-http-time-seek.vala   | 11 ++++-
 src/librygel-server/rygel-samsung-tv-hacks.vala |  4 ++
 src/librygel-server/rygel-seek-hacks.vala       | 53 +++++++++++++++++++++++++
 src/librygel-server/rygel-xbmc-hacks.vala       |  4 ++
 7 files changed, 87 insertions(+), 6 deletions(-)

commit 64f65d14514405758f8613ded9957a737455a2dc
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Mar 16 19:26:43 2013 +0100

    renderer: Improve mime-type comparing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694814

 src/librygel-renderer-gst/rygel-playbin-player.vala |  5 -----
 src/librygel-renderer/rygel-av-transport.vala       | 15 ++++++++++++---
 src/librygel-renderer/rygel-media-player.vala       |  1 +
 3 files changed, 13 insertions(+), 8 deletions(-)

commit 8e3331d11a835c7fd827ce0a12f15dcfce554ba5
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Mar 8 20:05:00 2013 +0100

    renderer: Continue if server does not support HEAD
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694815

 src/librygel-renderer/rygel-av-transport.vala | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit e937ea4d5d4de621b2e361dcf4629ff1ef9c424a
Author: Jens Georg <jensg@openismus.com>
Date:   Sat Apr 13 14:02:13 2013 +0200

    i18n: Several string and comment fixes
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=695593

 src/librygel-core/rygel-meta-config.vala           | 18 ++++----
 src/librygel-renderer/rygel-media-renderer.vala    |  2 +-
 src/librygel-server/rygel-http-post.vala           |  2 +-
 src/librygel-server/rygel-media-server.vala        |  2 +-
 src/librygel-server/rygel-object-creator.vala      | 48 +++++++++-------------
 src/librygel-server/rygel-reference-creator.vala   |  6 +--
 .../rygel-tracker-category-all-container.vala      |  4 +-
 src/plugins/tracker/rygel-tracker-plugin.vala      |  3 +-
 src/rygel/rygel-user-config.vala                   |  3 +-
 9 files changed, 37 insertions(+), 51 deletions(-)

commit f29c1663dbc8abdc1815578370fa984dbc84e44f
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Apr 12 11:35:24 2013 +0200

    server: Make it possbile to remove a container

 src/librygel-server/rygel-item-destroyer.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 54c6d61d24c1afc799ece5f0b871cd6b4b366111
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Wed Apr 10 23:45:58 2013 +0200

    Updated Hungarian translation

 po/hu.po | 40 +++++++++++++++++++---------------------
 1 file changed, 19 insertions(+), 21 deletions(-)

commit 6c04abbafac9a75a546a53343f488d75cfca6916
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Apr 10 15:47:46 2013 +0200

    media-export: Prefer title given through UPnP

 src/plugins/media-export/rygel-media-export-writable-db-container.vala | 1 +
 1 file changed, 1 insertion(+)

commit 17a65ea517ed0a8114a69552fb586a66082ed84c
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Apr 10 15:45:18 2013 +0200

    media-export: Set proper id when creating container

 src/plugins/media-export/rygel-media-export-writable-db-container.vala | 1 +
 1 file changed, 1 insertion(+)

commit 62843e9e36743a881015128b0435d68cc59fb351
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Apr 10 14:23:32 2013 +0200

    core: Don't queue containers for removal

 src/librygel-server/rygel-object-creator.vala | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit de9f07ca0a2173a33b2abca77d5241f7db5c0aa8
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Apr 10 13:45:29 2013 +0200

    media-export: Prevent critical
    
    With the previous change, if a file was added to the toplevel container, a
    critical would occur since its parent is not a DummyContainer and thus the
    cast resulted in NULL.

 src/plugins/media-export/rygel-media-export-harvesting-task.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit efae4daca580e5eb7b721cb72c4a052bd7cf145d
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 9 12:51:27 2013 +0200

    media-export: Fix child-count if only folders are harvested

 .../media-export/rygel-media-export-harvesting-task.vala    | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit cd42341b3df352d87012a86d8ab6ca1f9b626da6
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Apr 8 12:12:28 2013 +0200

    media-export: Don't hide empty folders
    
    Unbreak synchronisation and fix MediaExport's part of 660885

 .../media-export/rygel-media-export-harvester.vala | 38 +++-------------------
 .../rygel-media-export-harvesting-task.vala        |  8 -----
 2 files changed, 4 insertions(+), 42 deletions(-)

commit f31503fc774c665a77b24efed3cb5c7c8b332064
Author: Marcin Kazmierczak <marcin.kazmierczak@live.com>
Date:   Wed Feb 22 15:03:12 2012 +0100

    core,tracker: Fix upload of files
    
    core:
    MediaContainer: Add empty children counter. Add check_search_expression
    function, which set create_mode on true, when "upnp:createClass" operand
    was detected.
    SearchableContainer: Use check_search_expression in simple_search function
    to determine child counter.
    SimpleContainer: Use check_search_expression to search both in empty and
    non-empty children, during adding new item.
    
    tests: searchable-container-test: Add children counter to MediaContainer
    class. Add empty function check_search_expression in class MediaContainer.
    
    Previously it was impossible to add new item, when matched container was
    empty. For example user can't add picture, when don't have any picture.
    Now it's possible, because now search function return also empty children
    container, when search expression contains "upnp:createClass" operand. This
    works when HttpPost was used to upload file.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660885

 src/librygel-server/rygel-media-container.vala     | 20 +++++++++++++++
 .../rygel-searchable-container.vala                |  9 ++++++-
 src/librygel-server/rygel-simple-container.vala    | 29 ++++++++++++++++++----
 tests/rygel-searchable-container-test.vala         |  8 +++++-
 4 files changed, 59 insertions(+), 7 deletions(-)

commit c9c0a38f09eaf9933d3450b64ede387d4929845b
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 25 13:31:05 2013 +0100

    server: Prevent critical on upload

 src/librygel-server/rygel-client-hacks.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9663a6a109e8d8f9e4b64971a297c26b957ffbe7
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Apr 6 17:47:14 2013 +0100

    Updated British English translation

 po/en_GB.po | 574 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 353 insertions(+), 221 deletions(-)

commit 41e836429a77c1cb5b674c0ebe8b5a2a66067a3f
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Mar 14 13:36:25 2013 +0100

    tests,media-export: Test plugin

 src/plugins/media-export/Makefile.am       |   3 +
 tests/Makefile.am                          |  27 +++++++
 tests/plugins/media-export/regression.vala | 112 +++++++++++++++++++++++++++++
 3 files changed, 142 insertions(+)

commit 53e27b7217125b682ccfccd56cfaaa6e4a7fbe4b
Author: Jens Georg <mail@jensge.org>
Date:   Wed Aug 25 20:09:04 2010 +0300

    media-export: Be able to use in-memory database
    
    Useful for unittests

 src/plugins/media-export/rygel-media-export-database.vala | 15 +++++++++++----
 .../media-export/rygel-media-export-media-cache.vala      |  9 ++++++++-
 2 files changed, 19 insertions(+), 5 deletions(-)

commit 49e0589a09be7330c60e8e0eb3584acbb24efd3a
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Mar 15 10:19:36 2013 +0100

    Update .gitignore

 .gitignore | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 475139be5182e9d4642c7fa1998b0b372e62ce7b
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Mar 14 12:37:12 2013 +0100

    media-export: Fix error reporting in cursor API
    
    has_next() was supposed to cache the error and next() to throw it, but
    has_next() was returning "false" on errors so the next() to throw was never
    called, causing database errors to disappear.
    
    This patch just changes has_next () to throw on error.

 src/plugins/media-export/rygel-media-export-database-cursor.vala | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ec595e8968e116d708ecce273c6e6e333492467a
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 13 10:08:59 2013 +0100

    media-export: Fix title preserving
    
    Prefer the title of provided by CreateObject instead of the one deduced from
    the file.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=683926

 .../rygel-media-export-media-cache.vala            | 55 +++++++++++++++++++++-
 .../rygel-media-export-sql-factory.vala            | 13 +++--
 2 files changed, 63 insertions(+), 5 deletions(-)

commit 142fe82cc26f171e9c46595397c1fe91ba142a85
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 2 12:16:20 2013 +0200

    rygel: Fix compilation

 src/rygel/rygel-user-config.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00d9aecebd2579d0e58a3ca736577c5be2ae503e
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Mar 7 15:34:46 2013 +0100

    server: Set CreateContainer OCM flag
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694155

 src/librygel-server/rygel-media-container.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d1a04ebba8324f02c25c25e6b8115c9ebd0a8d96
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Mar 7 13:52:20 2013 +0100

    server: Fix check for invalid OCM flags
    
    This check has to be applied to items only, not all objects.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694155

 src/librygel-server/rygel-object-creator.vala | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 34895daeee9e149bef5bb6a6cf69b3c8fed16569
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Apr 2 11:29:16 2013 +0200

    doc: Add architecture SVG to git

 doc/rygel-architecture.svg | 840 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 840 insertions(+)

commit 094b8e9aa64a6ef05a116a0dc01e1a161ab86a5f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Apr 2 10:53:48 2013 +0200

    Added Basque language\nAdded 'eu' (Basque) to LINGUAS

 po/LINGUAS |   1 +
 po/eu.po   | 789 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 790 insertions(+)

commit 2c850fabd9780b8fc9f676894bf8127807e96fbf
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Mar 29 22:03:10 2013 +0100

    rygel: Show warning on missing config

 src/rygel/rygel-user-config.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e1fd391f8e668ada1f0944bfd09427a6caeaa22b
Author: Jens Georg <jensg@openismus.com>
Date:   Fri Mar 29 22:02:29 2013 +0100

    rygel: Minor commandline arg improvements

 src/rygel/rygel-cmdline-config.vala | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26f5670e86173fae1c697f4b618aea90da30036b
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Mar 28 19:33:54 2013 +0700

    Updated Indonesian translation

 po/id.po | 580 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 345 insertions(+), 235 deletions(-)

commit 3ea7296ed0ee53612c63158d1874068665ebe872
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 20 17:55:49 2013 +0100

    server: Clarify signal emission

 src/librygel-server/rygel-data-source.vala | 6 ++++++
 1 file changed, 6 insertions(+)

commit f8ac07da4211cb2158fab7b9055db92e73a7c7f0
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 20 17:52:16 2013 +0100

    media-engine-gst: Drop format restriction
    
    GStreamer should be able to figure it out itself.

 src/media-engines/gstreamer/rygel-avc-transcoder.vala   | 2 +-
 src/media-engines/gstreamer/rygel-mp2ts-transcoder.vala | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2f76eb7ada9ff664328dcac35bd003dc8d9095bd
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 18 15:33:49 2013 +0100

    build: Drop COLLATION_* variables

 configure.ac                         | 5 +----
 src/plugins/media-export/Makefile.am | 1 -
 2 files changed, 1 insertion(+), 5 deletions(-)

commit d7e0f908206b933e4941ca729b8198c9b47f21b7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Mar 25 22:40:52 2013 +0100

    Update French translation

 po/fr.po | 736 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 435 insertions(+), 301 deletions(-)

commit 47d588e309cf85bb251a6fe822002dc83d97395f
Author: Chandan Kumar <Chandankumar.093047@gmail.com>
Date:   Sun Mar 24 16:05:28 2013 +0530

    updating Hindi Translation

 po/hi.po | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 1fab742e071f37ad2d8679a8d7d5cdf3ef9475c7
Author: Chandan Kumar <Chandankumar.093047@gmail.com>
Date:   Sun Mar 24 16:01:39 2013 +0530

    updating Hindi Translation

 po/hi.po | 717 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 421 insertions(+), 296 deletions(-)

commit 43aa50ae4552087a333f62de84aed7d5fe8e1dca
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Sun Mar 24 14:14:18 2013 +0700

    Updated Thai translation

 po/th.po | 268 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 148 insertions(+), 120 deletions(-)

commit c20d6e9eae3c804c75ebbc58ad1f0f4af1d90233
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Mar 23 06:52:30 2013 +0100

    [l10n] Updated German translation

 po/de.po | 178 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 96 insertions(+), 82 deletions(-)

commit 06c83c816e2c9b08485028ba7ccc877e81d094b7
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 18 11:23:11 2013 +0100

    renderer-gst: Show full error message

 src/librygel-renderer-gst/rygel-playbin-player.vala | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 0d0d61c2325b6d9bb9d7a55d7aa95a236daa1666
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Mar 17 20:02:39 2013 +0100

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1000 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 623 insertions(+), 377 deletions(-)

commit 9c893316d069cb0eb78d97c6d214d31c02ee0832
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Mon Mar 18 02:16:41 2013 +0900

    Updated Korean translation

 po/ko.po | 575 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 353 insertions(+), 222 deletions(-)

commit a0b38374e566992bbe2201c7d7bde7c3dacc8ea8
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sun Mar 17 15:45:18 2013 +0100

    Updated Hungarian translation

 po/hu.po | 594 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 366 insertions(+), 228 deletions(-)

commit 9d58e0ae742c905cad049e1a515a2527546c5d26
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Mar 17 12:51:30 2013 +0200

    Updated Latvian translation

 po/lv.po | 783 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 477 insertions(+), 306 deletions(-)

commit e118bca079e9ba339cc785fe7cfc49d59b8d24d6
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:   Sat Mar 16 11:36:10 2013 +0530

    Updated Tamil translation

 po/ta.po | 263 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 148 insertions(+), 115 deletions(-)

commit 501bb13c61b21fef057908670dfd27cbf9d87b41
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Mar 14 23:18:03 2013 +0100

    Updated Slovenian translation

 po/sl.po | 499 +++++++--------------------------------------------------------
 1 file changed, 49 insertions(+), 450 deletions(-)

commit 676cdea568812cc281789204e26d940ca24e7c40
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Thu Mar 14 10:02:45 2013 +0100

    Use double quotes for RYGEL_BASE_MODULES so the variables get
    correctly expanded in all shells.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c66d96a86193edd9ae81049a2b05902a45841854
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Wed Mar 13 13:11:17 2013 +0200

    [l10n] Updated Estonian translation

 po/et.po | 71 +++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 50 insertions(+), 21 deletions(-)

commit fb456074bd4dab5124f4ff883da8252b90c350ec
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Tue Mar 12 23:20:15 2013 +0100

    Updated Danish translation

 po/da.po | 587 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 342 insertions(+), 245 deletions(-)

commit 7674d332068143f3e974d1a1d39c7dff637e0e9e
Author: Joan Duran <jodufi@gmail.com>
Date:   Tue Mar 12 07:41:09 2013 +0100

    [l10n] Updated Catalan translation

 po/ca.po | 748 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 450 insertions(+), 298 deletions(-)

commit 798ae314884985476696cbe0ca37724e8ec29f96
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Mar 11 23:22:25 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

 po/pt.po | 632 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 382 insertions(+), 250 deletions(-)

commit 64804948f8200c23df592fc0226e1529efd52450
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Mon Mar 11 23:39:05 2013 +0200

    Finnish translation update by Jiri Grönroos

 po/fi.po | 601 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 364 insertions(+), 237 deletions(-)

commit f1604ce4a3b57f627517f65702109e9ed8ecb6c8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Mar 11 16:57:58 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 110 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 54 insertions(+), 56 deletions(-)

commit 28e73d5e87300744f8c4f2808f859f161642ca4b
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 11 12:41:42 2013 +0100

    media-export: Partially revert 3b90050

 .../rygel-media-export-media-cache.vala            | 55 +---------------------
 1 file changed, 1 insertion(+), 54 deletions(-)

commit 32311fd80d1101c91b7796c2ea0920999c4bb142
Author: Choe Hwanjin <choe.hwanjin@gmail.com>
Date:   Thu Dec 20 00:35:10 2012 +0900

    server: Add Samsung TV hacks for mkv format
    
    Samsung TV wants "video/x-mkv" instead of "video/x-matroska".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691654

 src/librygel-server/filelist.am                 |  1 +
 src/librygel-server/rygel-client-hacks.vala     | 26 ++++++++++++++++--
 src/librygel-server/rygel-samsung-tv-hacks.vala | 36 +++++++++++++++++++++++++
 3 files changed, 61 insertions(+), 2 deletions(-)

commit dfaaa9602de748d298479a07ab40b6bea5dc9d7a
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Mar 7 16:39:25 2013 +0100

    all: Fix typo and namespace

 src/librygel-server/rygel-writable-container.vala                     | 4 ++--
 .../media-export/rygel-media-export-writable-db-container.vala        | 4 ++--
 src/plugins/tracker/rygel-tracker-category-all-container.vala         | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit f341a8210ff275f09ce683676d236fea96b28ba5
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Mar 7 13:29:00 2013 +0530

    Assamese translation updated for gnome 3.8

 po/as.po | 624 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 383 insertions(+), 241 deletions(-)

commit ba42ae4ba3241104d00bc5f397d11d7c417de587
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Mar 7 00:23:38 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 944 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 438 insertions(+), 506 deletions(-)

commit 175ecbb73679f60494e6cf15ec42685fb92142c1
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed Mar 6 14:07:47 2013 -0300

    Updated Brazilian Portuguese translation proofread by Rafael Ferreira
    
    Conflicts:
    	po/pt_BR.po

 po/pt_BR.po | 235 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 232 insertions(+), 3 deletions(-)

commit aa991699ea2541a3985d20f532577899baeaaa37
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 6 13:29:41 2013 +0100

    data: Fix preferences desktop file

 data/rygel-preferences.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27192b6e9df9795692f06306b8a8dac28add80a4
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 6 12:10:13 2013 +0100

    Prepare 0.17.9

 NEWS             | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.skip | 19 ++++++++++---------
 2 files changed, 68 insertions(+), 9 deletions(-)

commit d2214f666431dc396cbb7a3a53d0f06e7963ccaa
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 6 12:41:47 2013 +0100

    tests: Fix rygel-htt-post-test

 tests/rygel-http-post-test.vala | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 27fcf9618a93a22e2244038e32f6f6cc961fff7b
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Fri Mar 1 12:15:43 2013 +0100

    media-export: Get rid of obsolete flags column in object table.
    
    DBus interface was using it, but it is gone since 0.17.7.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694926

 .../media-export/rygel-media-export-harvester.vala |  7 +--
 .../rygel-media-export-harvesting-task.vala        | 12 +----
 .../rygel-media-export-media-cache-upgrader.vala   | 52 +++++++++++++++++++---
 .../rygel-media-export-media-cache.vala            | 19 --------
 .../rygel-media-export-sql-factory.vala            |  1 -
 5 files changed, 50 insertions(+), 41 deletions(-)

commit f3fd0192f7ea8775623cc877b114937b73526a40
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Mon Mar 4 15:15:14 2013 +0100

    media-export: Use metadata extractor only in harvesting task.
    
    Harvester also kept an extractor, but it wasn't used for anything.

 .../media-export/rygel-media-export-harvester.vala  | 11 +----------
 .../rygel-media-export-harvesting-task.vala         | 21 +++------------------
 2 files changed, 4 insertions(+), 28 deletions(-)

commit 8d1a6fd17c76146da4db2e13e7d349addc9501e5
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Feb 28 14:58:36 2013 +0100

    server,data: Implement CreateReference UPnP call
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694179

 data/xml/ContentDirectory.xml.in                  |  22 ++++
 src/librygel-server/filelist.am                   |   1 +
 src/librygel-server/rygel-content-directory.vala  |  10 ++
 src/librygel-server/rygel-reference-creator.vala  | 125 ++++++++++++++++++++++
 src/librygel-server/rygel-writable-container.vala |  14 +++
 5 files changed, 172 insertions(+)

commit 3fe78841c914776299cd70f6badc514d83ded8f4
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 4 11:31:11 2013 +0100

    server: Fix doc typos

 src/librygel-server/rygel-subtitle-manager.vala | 2 +-
 src/librygel-server/rygel-thumbnailer.vala      | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8a74b3dc90b88e2488b1df61f75053a47102a657
Author: Jens Georg <jensg@openismus.com>
Date:   Mon Mar 4 13:27:05 2013 +0100

    core: Remove stray debug line

 src/librygel-core/rygel-v1-hacks.vala | 1 -
 1 file changed, 1 deletion(-)

commit 383784e194b6afaf60ec8323608906ad4812fd06
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Mon Mar 4 09:27:12 2013 +0100

    media-export: Add missing schema version bump in database upgrade.

 src/plugins/media-export/rygel-media-export-media-cache-upgrader.vala | 1 +
 1 file changed, 1 insertion(+)

commit 9e81578b54a9ec75cd5e5eaab74458ce75fe137c
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Mar 3 17:00:35 2013 +0100

    core,data: Force downgrade for some iOS DMCs

 data/rygel.conf                       | 2 +-
 src/librygel-core/rygel-v1-hacks.vala | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit a71b2620d06f604f672b88504dacd86a881804b7
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Mar 3 14:06:06 2013 +0100

    core,data: V1 downgrade for libupnp
    
    In theory we'd want to apply the downgrade for synology NAS devices only, but
    they fail to provide a proper user agent so we have to apply it to everything
    out there using libupnp.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694270

 data/rygel.conf                       | 2 +-
 src/librygel-core/rygel-v1-hacks.vala | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 000c054b04a9cdc14d2929ba432a5857a3cd26f5
Author: Jens Georg <jensg@openismus.com>
Date:   Sun Mar 3 14:00:16 2013 +0100

    all: Apply V1 downgrade to each service
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694270

 src/librygel-core/rygel-v1-hacks.vala               | 21 ++++++++++++++-------
 .../rygel-media-renderer-plugin.vala                |  7 ++++---
 src/librygel-server/rygel-media-server-plugin.vala  |  6 +++---
 3 files changed, 21 insertions(+), 13 deletions(-)

commit 3c691471773f7a78f64b54ae7670ec2c1c064451
Author: Stas Solovey <whats_up@tut.by>
Date:   Sun Mar 3 23:43:05 2013 +0400

    Updated Russian translation

 po/ru.po | 601 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 349 insertions(+), 252 deletions(-)

commit 451e945a726cbf7b8c24cc1882031c76949d9625
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Mar 1 22:51:07 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 105 +++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 105 +++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 110 insertions(+), 100 deletions(-)

commit 3b90050725bc196bd9ce22f723148de3571893cc
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Fri Mar 1 10:41:24 2013 +0100

    media-export: Prefer titles set by UPnP actions over discovered ones.
    
    For this to work we have to mark an object created with CreateObject
    call as guarded. It means that some of its properties (for now title
    only) can't be overriden with a value from metadata extractor. The
    only way to change a title of such object is by UpdateObject call.
    
    All harvested objects that did not exist in database are not marked as
    guarded. Doing UpdateObject on any object marks it as such though.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683926

 src/plugins/media-export/Makefile.am               |  1 +
 .../rygel-media-export-harvesting-task.vala        |  2 +-
 .../rygel-media-export-media-cache-upgrader.vala   | 23 ++++++
 .../rygel-media-export-media-cache.vala            | 92 ++++++++++++++++++++--
 .../rygel-media-export-music-item.vala             |  7 +-
 .../rygel-media-export-photo-item.vala             |  7 +-
 .../rygel-media-export-playlist-item.vala          | 11 +--
 .../rygel-media-export-sql-factory.vala            | 36 +++++++--
 .../rygel-media-export-updatable-object.vala       | 30 +++++++
 .../rygel-media-export-video-item.vala             | 11 ++-
 .../rygel-media-export-writable-db-container.vala  |  3 +-
 11 files changed, 198 insertions(+), 25 deletions(-)

commit 6dd23416cdbe9de3cf84320ef9b0a4f333a252f7
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Feb 20 14:27:51 2013 +0100

    server,media-export: Allow container creation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694155

 po/POTFILES.in                                     |   2 +-
 po/POTFILES.skip                                   |   4 +-
 src/librygel-server/filelist.am                    |   4 +-
 src/librygel-server/rygel-content-directory.vala   |   2 +-
 src/librygel-server/rygel-http-post.vala           |   9 +-
 src/librygel-server/rygel-import-resource.vala     |   4 +-
 src/librygel-server/rygel-item-creator.vala        | 615 ------------------
 src/librygel-server/rygel-item-removal-queue.vala  |  89 ---
 src/librygel-server/rygel-media-container.vala     |   1 +
 src/librygel-server/rygel-object-creator.vala      | 714 +++++++++++++++++++++
 .../rygel-object-removal-queue.vala                |  95 +++
 src/librygel-server/rygel-writable-container.vala  |  30 +-
 .../rygel-media-export-writable-db-container.vala  |  31 +
 .../rygel-tracker-category-all-container.vala      |  10 +
 tests/Makefile.am                                  |  18 +-
 tests/rygel-http-seek_item-creator.vala            |   1 -
 tests/rygel-http-seek_object-creator.vala          |   1 +
 tests/rygel-item-creator-test.vala                 | 497 --------------
 tests/rygel-item-creator.vala                      |   1 -
 tests/rygel-object-creator-test.vala               | 517 +++++++++++++++
 tests/rygel-object-creator.vala                    |   1 +
 tests/rygel-serializer_item-creator.vala           |   1 -
 tests/rygel-serializer_object-creator.vala         |   1 +
 tests/rygel-state-machine_item-creator.vala        |   1 -
 tests/rygel-state-machine_object-creator.vala      |   1 +
 25 files changed, 1421 insertions(+), 1229 deletions(-)

commit e39db18e7dbc019b0198742aa88f6c91b92b5c26
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Feb 19 16:58:42 2013 +0100

    server: Add create-child-container caps
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694155

 src/librygel-core/rygel-description-file.vala | 8 ++++++++
 src/librygel-core/rygel-plugin.vala           | 5 ++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 67767f9531db3ae1424bf260addbe9d2c03fd776
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Tue Feb 26 12:52:57 2013 +0100

    server: Cleanup and fix container updates in content directory.
    
    RygelContentDirectory's on_container_update handles updating system
    update id, running service reset procedure if necessary, adding
    LastChange entries, updating container's and object's update ids and
    handles ContainerUpdateIDs variable in one body. This commit splits it
    up, so it is more readable and fixes updating container's and object's
    container/object update ids.
    
    Now container gets its container update id incremented also when its
    child item is being modified. We also check if passed object is a
    container, so we can also increment its container update id as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694019

 src/librygel-server/rygel-content-directory.vala | 113 +++++++++++++++++------
 1 file changed, 86 insertions(+), 27 deletions(-)

commit 046d93bcc847d37fb9493c070e012e64650d30c0
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Tue Feb 26 14:04:35 2013 +0100

    server: Use custom equal function for updated_containers array.
    
    Default equal function was simply comparing pointers, which is not
    enough in this case. MediaExport plugin creates temporary
    MediaContainer objects being virtual containers, so it is possible to
    happen that we store such container in updated_containers array and
    then later receive another one with the same id. Obviously new object
    has different address than old one, so it was inserted into array as
    well. It ended up with ContainerUpdateIDs having several entries with
    the same id.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694019

 src/librygel-server/rygel-content-directory.vala | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 505e1bb87599b556e6df0c55cf78e5f63756ac51
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 25 17:44:41 2013 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 65 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 34 insertions(+), 31 deletions(-)

commit 407b0300d2be232fc6e839d20f17e9723eb13e2f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Feb 25 15:41:40 2013 +0100

    Updated Slovenian translation

 po/sl.po | 98 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

commit 9cc1f9642c1c3e5877f062b68da7d3be3237dad4
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Feb 25 10:08:59 2013 +0200

    Updated Greek translation

 po/el.po | 603 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 372 insertions(+), 231 deletions(-)

commit 2c84a6c35cdb852215bd8429cc0290214225b378
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Feb 24 22:05:09 2013 +0200

    Updated Lithuanian translation

 po/lt.po | 236 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 127 insertions(+), 109 deletions(-)

commit fabbbe5df657200ebcf1dc7b694b604caf45d6aa
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Feb 24 11:51:36 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 57 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit bde16f2cec5c7cf77d124ad9c1239856d6509ff5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 23 16:14:08 2013 +0200

    Updated Hebrew translation.

 po/he.po | 62 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 29 deletions(-)

commit 077f6c9eb30827a7174b7e952b814b3987c7119c
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Fri Feb 22 21:59:06 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 39 +++++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit fe6f112593530497ccdb7b3d40ffd79cf6a63dc5
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Feb 22 03:41:40 2013 +0000

    Punjabi: Translation updated (aalam)

 po/pa.po | 583 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 358 insertions(+), 225 deletions(-)

commit 807995f0905b8b0100cfd04062dd8625db2fe620
Author: Jens Georg <jensg@openismus.com>
Date:   Thu Feb 21 09:43:47 2013 +0100

    Fix NEWS file

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b0b91d704b1bdba84040945ad259072bc83a54f
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Feb 20 15:04:05 2013 +0100

    Add missing information to NEWS

 NEWS | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 1d6fa46770bfc4c7eb74a6d6e8598cf7a9c04a97
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Feb 20 14:44:35 2013 +0100

    Prepare 0.17.8

 NEWS | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit badc404d9911d0199bce5042063f6431e722a393
Author: Jens Georg <jensg@openismus.com>
Date:   Tue Feb 19 11:50:02 2013 +0100

    data: Hide rygel-preferences in GNOME
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692696

 data/rygel-preferences.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 4bb3fb41ee6282c8ab5642c3881001f002526e20
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Mon Feb 18 12:41:56 2013 +0100

    media-export: Do basic extraction on discoverer creation error.
    
    Doing it via on_done with info being NULL may cause some criticals or
    crash, because we don't check info there.

 .../rygel-media-export-metadata-extractor.vala     | 25 +++++++++++-----------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit cee9f398ba5d45187822b6a2f6d45c22cbead614
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Thu Feb 14 13:10:30 2013 +0100

    renderer: Honor "http_proxy" envvar in AVTransport's session.

 src/librygel-renderer/rygel-av-transport.vala | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 039e31794daff256ca1b64a0a6bcc195effc4600
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 18 11:14:10 2013 +0100

    Updated Serbian translation

 po/sr.po       | 34 +++++++++++++++++-----------------
 po/sr@latin.po | 34 +++++++++++++++++-----------------
 2 files changed, 34 insertions(+), 34 deletions(-)

commit 9c1585a98bc3db271ec8a54402d39ed994fc00a9
Author: Jens Georg <mail@jensge.org>
Date:   Tue Feb 12 14:48:22 2013 +0100

    media-export: Option to disable virtual folders

 data/rygel.conf                                      |  1 +
 doc/man/rygel.conf.xml                               |  8 ++++++++
 .../media-export/rygel-media-export-media-cache.vala |  9 +++++++++
